#!/bin/bash
# install_uifile.sh
# Copyright (C) 2000-2019 Synology Inc. All rights reserved.
#
# Created on:  2019-02-20

OUTDATED_PKGNAME="ActiveDirectoryServer"
OUTDATED_PKGROOT="/var/packages/${OUTDATED_PKGNAME}"
OUTDATED_PKGTARGET="${OUTDATED_PKGROOT}/target"
OUTDATED_PKGPRIVATE="${OUTDATED_PKGTARGET}/private"

if [[ ! -s "${OUTDATED_PKGPRIVATE}/sam.ldb" ]]; then
    exit 0
fi

#build locale_string_assignment wizard_title app wizard_migration_title
wizard_title_enu="Active Directory Server is getting a new name"
wizard_title_csy="Služba Active Directory Server má nový název"
wizard_title_plk="Serwer Active Directory Server otrzymuje nową nazwę"
wizard_title_ita="Active Directory Server sta acquisendo un nuovo nome"
wizard_title_hun="Az Active Directory Server új nevet kap"
wizard_title_krn="Active Directory Server 이름 변경"
wizard_title_sve="Active Directory Server får ett nytt namn"
wizard_title_jpn="Active Directory Serverも新しい名前を持つ予定です"
wizard_title_nor="Active Directory Server får nytt navn"
wizard_title_trk="Active Directory Server yeni bir isim alıyor"
wizard_title_chs="Active Directory Server 即将使用新名称"
wizard_title_ger="Active Directory Server hat einen neuen Namen"
wizard_title_rus="Серверу Active Directory Server присваивается новое имя"
wizard_title_dan="Active Directory Server får et nyt navn"
wizard_title_spn="Active Directory Server ha cambiado de nombre"
wizard_title_fre="Active Directory Server reçoit un nouveau nom"
wizard_title_ptg="Active Directory Server tem um novo nome"
wizard_title_ptb="O Active Directory Server está recebendo um novo nome"
wizard_title_nld="Active Directory Server krijgt een nieuwe naam"
wizard_title_tha="Active Directory Server ได้รับการตั้งชื่อใหม่"
wizard_title_cht="Active Directory Server 即將更名"
wizard_title_variable="wizard_title_${SYNOPKG_DSM_LANGUAGE}"
wizard_title="${!wizard_title_variable}"
#build locale_string_assignment wizard_statement app wizard_migration_statement
wizard_statement_enu="This package has got a new name - Synology Directory Server. The previous database and configuration will keep working for the updated package."
wizard_statement_csy="Tento balíček má nový název – Synology Directory Server. Předchozí databáze i konfigurace budou v aktualizovaném balíčku i nadále fungovat."
wizard_statement_plk="Ten pakiet ma nową nazwę — Synology Directory Server. Poprzednia baza danych i konfiguracja będą działać dla zaktualizowanego pakietu."
wizard_statement_ita="Questo pacchetto ha ottenuto un nuovo nome: Synology Directory Server. Il database e la configurazione precedenti continueranno a funzionare nel pacchetto aggiornato."
wizard_statement_hun="Ez a csomag új nevet kapott – Synology Directory Server. A korábbi adatbázis és konfiguráció a csomag frissítése után is használható lesz."
wizard_statement_krn="이 패키지 이름이 Synology Directory Server으로 변경되었습니다. 이전 데이터베이스와 구성은 업데이트된 패키지에서도 계속 작동합니다."
wizard_statement_sve="Det här filpaketet har fått ett nytt namn - Synology Directory Server. Den tidigare databasen och konfigurationen fungerar fortsatt för det uppdaterade filpaketet."
wizard_statement_jpn="このパッケージは新しい名前になりました。それは Synology Directory Serverです。以前のデータベースおよび構成はアップデートされたパッケージでも機能し続けます。"
wizard_statement_nor="Denne pakken har fått nytt navn – Synology Directory Server. Den gamle databasen og de gamle konfigurasjonene vil fortsatt fungere for den oppdaterte pakken."
wizard_statement_trk="Bu paketin yeni bir adı var - Windows Etki Alanı için Synology Directory Server. Önceki veritabanı ve yapılandırma güncellenmiş paket için çalışmaya devam edecektir."
wizard_statement_chs="此套件有一个新名称 - Synology Directory Server。之前的数据库和配置可继续在更新后的套件上使用。"
wizard_statement_ger="Dieses Paket hat einen neuen Namen – Synology Directory Server. Bestehende Datenbank und Konfiguration funktionieren auch weiterhin mit dem aktualisierten Paket."
wizard_statement_rus="Этот пакет получил новое имя — Synology Directory Server. Предыдущая база данных и конфигурация будут продолжать работать c обновленным пакетом."
wizard_statement_dan="Denne pakke har fået et nyt navn - Synology Directory Server til Windows-domæne. Det tidligere database og konfiguration vil stadig fungere med den opdaterede pakke."
wizard_statement_spn="Este paquete tiene un nuevo nombre: Synology Directory Server. La configuración y la base de datos anteriores seguirán funcionando para el paquete actualizado."
wizard_statement_fre="Ce paquet porte un nouveau nom - Synology Directory Server. La base de données et la configuration précédentes continueront de fonctionner pour le paquet mis à jour."
wizard_statement_ptg="Este pacote tem um novo nome – Synology Directory Server. A base de dados e a configuração anteriores vão continuar funcionar com o pacote atualizado."
wizard_statement_ptb="Este pacote tem um novo nome - Synology Directory Server. O banco de dados e a configuração anteriores continuarão funcionando para o pacote atualizado."
wizard_statement_nld="Dit pakket heeft een nieuwe naar - Synology Directory Server. De eerdere database en configuratie worden gehandhaafd bij het bijgewerkte pakket."
wizard_statement_tha="แพ็คเกจนี้มีชื่อใหม่ว่า Synology Directory Server การกำหนดค่าและฐานข้อมูลก่อนหน้าจะยังคงทำงานต่อไปสำหรับแพ็คเกจที่ได้รับการอัพเดท"
wizard_statement_cht="此套件將更名為 Synology Directory Server。更名後，原本的資料庫與設定仍可繼續使用。"
wizard_statement_variable="wizard_statement_${SYNOPKG_DSM_LANGUAGE}"
wizard_statement="${!wizard_statement_variable}"

cat > "${SYNOPKG_TEMP_LOGFILE}" <<EOF
[{
    "step_title": "${wizard_title}",
    "items": [{
        "desc": "${wizard_statement}"
    }]
}]
EOF

exit 0
#vim:set sts=4 sw=4 ts=4 et ft=sh:
