#!/bin/bash
source /var/packages/DirectoryServerForWindowsDomain/scripts/pkg_utils

DetectIPChange()
{
    if /var/packages/DNSServer/target/app/synodnstool  --is-ad-a-aaaa-exist $ORIGIN_ADDRESS; then
        /usr/syno/bin/synonotify ADServerDetectIPChanged '{"DESKTOP_NOTIFY_TITLE": "app:displayname", "DESKTOP_NOTIFY_CLASSNAME": "SYNO.SDS.ADServer.Application"}'
    fi
}

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
	echo "1.0";
	;;
	--name)
	#Print package name
	echo "synodns"
	;;
	--pkg-ver)
	#Print package version
	echo "1.0";
	;;
	--vendor)
	#Print package vendor
	echo "Synology";
	;;
	--pre)
	;;
	--post)
	# do nothing when link updown on booting-up step
	if /usr/syno/bin/synobootseq --is-booting-up > /dev/null 2>&1 ; then
		exit
	fi
	# do nothing when link updown shutdown step
	if /usr/syno/bin/synobootseq --is-shutdown > /dev/null 2>&1 ; then
		exit
	fi
	DetectIPChange
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac

