/* Copyright (c) 2020 Synology Inc. All rights reserved. */

Ext.define("SYNO.SDS.ADServer.GpoPanel",{extend:"SYNO.SDS.Utils.FormPanel",constructor:function(e){this.owner=e.owner,this.appWin=e.appWin,this.defValues={MinimumPasswordAge:1,MaximumPasswordAge:42,MinimumPasswordLength:7,PasswordHistorySize:24,PasswordComplexity:1,ClearTextPassword:0,LockoutDuration:30,ResetLockoutCount:30,LockoutBadCount:5},this.LABEL_DISPLAY_FIELD_WIDTH=350;var t=Ext.apply({title:"Domain GPO Setting",items:[this.fillPasswordConfig(),this.fillLockoutConfig()],buttons:[{xtype:"syno_button",btnStyle:"blue",text:SYNO.SDS.ADServer.Utils._S("backup","apply","Apply"),handler:this.submit,scope:this},{xtype:"syno_button",text:SYNO.SDS.ADServer.Utils._S("common","alt_reset","Reset"),handler:this.reset,scope:this}],autoScroll:!0,listeners:{scope:this,activate:this.loadData}},e);this.callParent([t]),Ext.QuickTips.init()},fillPasswordConfig:function(){var e=[[1,SYNO.SDS.ADServer.Utils._S("common","time_days")],[7,SYNO.SDS.ADServer.Utils._S("common","time_weeks")],[30,String.format("30 {0}",SYNO.SDS.ADServer.Utils._S("common","time_days"))]];return{xtype:"syno_fieldset",title:SYNO.SDS.ADServer.Utils._S("gpo","password_policy"),collapsible:!1,items:[{xtype:"syno_ad_numbercombo",name:"MaximumPasswordAge",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","password_max_age"),width:this.LABEL_DISPLAY_FIELD_WIDTH,qTip:SYNO.SDS.ADServer.Utils._S("tip","max_pwd_age"),unit:e,minValue:1,maxValue:999,listeners:{change:function(e,t){var i=e.nextSibling();0===t?i.setMaxValue(999):i.setMaxValue(t-1),i.setDisabled(1===t),i.validate()}}},{xtype:"syno_ad_numbercombo",name:"MinimumPasswordAge",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","password_min_age"),width:this.LABEL_DISPLAY_FIELD_WIDTH,qTip:SYNO.SDS.ADServer.Utils._S("tip","min_pwd_age"),unit:e,minValue:1,maxValue:998},{xtype:"syno_ad_numberfield",name:"MinimumPasswordLength",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","password_min_len"),width:this.LABEL_DISPLAY_FIELD_WIDTH,unit:SYNO.SDS.ADServer.Utils._S("common","character"),minValue:1,maxValue:14},{xtype:"syno_ad_numberfield",name:"PasswordHistorySize",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","password_enbl_history"),width:this.LABEL_DISPLAY_FIELD_WIDTH,qTip:SYNO.SDS.ADServer.Utils._S("tip","pwd_history"),unit:SYNO.SDS.ADServer.Utils._S("common","records"),minValue:1,maxValue:24},{xtype:"syno_checkbox",name:"PasswordComplexity",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","password_enbl_cmplx"),width:this.LABEL_DISPLAY_FIELD_WIDTH},{xtype:"syno_checkbox",name:"ClearTextPassword",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","password_enbl_plain"),width:this.LABEL_DISPLAY_FIELD_WIDTH}]}},fillLockoutConfig:function(){var e=[[1,SYNO.SDS.ADServer.Utils._S("common","time_minutes")],[60,SYNO.SDS.ADServer.Utils._S("common","time_hours")],[1440,SYNO.SDS.ADServer.Utils._S("common","time_days")]];return{xtype:"syno_fieldset",title:SYNO.SDS.ADServer.Utils._S("gpo","account_lockout_policy"),collapsible:!1,items:[{xtype:"syno_ad_numberfield",name:"LockoutBadCount",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","account_lockout_thrsh"),width:this.LABEL_DISPLAY_FIELD_WIDTH,qTip:SYNO.SDS.ADServer.Utils._S("tip","lockout_bad_count"),unit:SYNO.SDS.ADServer.Utils._S("sharing","expire_times"),minValue:1,maxValue:999,listeners:{change:function(e,t){var i=e.nextSibling(),n=i.nextSibling();0===t?(n.disable(),i.disable()):(n.enable(),i.enable(),i.setValue(i.getValue(!0)),i.checkbox.setReadOnly(!0))}}},{xtype:"syno_ad_numbercombo",name:"ResetLockoutCount",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","account_lockout_reset_ctr"),width:this.LABEL_DISPLAY_FIELD_WIDTH,qTip:SYNO.SDS.ADServer.Utils._S("tip","reset_lockout_count"),unit:e,checkHidden:!0,minValue:1,maxValue:99999},{xtype:"syno_ad_numbercombo",name:"LockoutDuration",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","account_lockout_duration"),width:this.LABEL_DISPLAY_FIELD_WIDTH,qTip:SYNO.SDS.ADServer.Utils._S("tip","lockout_duration"),unit:e,minValue:1,maxValue:99999,listeners:{change:function(e,t){var i=e.previousSibling();0===t?i.setMaxValue(99999):i.setMaxValue(t),i.validate()}}}]}},loadData:function(e){this.domain_dn="DC="+this.appWin.fqdn.toLowerCase().split(".").join(",DC="),this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.GPO",method:"get",params:{dns:[this.domain_dn]},version:1,scope:this,callback:function(e,t,i){if(this.clearStatusBusy(),!e)return void SYNO.SDS.ADServer.Utils.Error(this.appWin,t.code);var n={};0===t.length&&(t=[{}]),Object.keys(this.defValues).map(function(e){t[0].hasOwnProperty(e)?n[e]=t[0][e]:n[e]=null}),this.reset(n)}})},convFormToData:function(){var e=this.getForm(),t=this.defValues,i={};return Object.keys(t).map(function(t){var n=e.findField(t);n.getRealValue?i[t]=n.getRealValue():i[t]=n.getValue()}),i.dn=this.domain_dn,i},convDataToFormData:function(e){var t=this.defValues,i={};return Object.keys(t).map(function(n){i["enbl"+n]=!!e[n],i[n]=e[n],i[n]||(i[n]=t[n])}),i.enblMaximumPasswordAge&&1===i.MaximumPasswordAge&&(i.enblMinimumPasswordAge=!1),i.PasswordComplexity=e.PasswordComplexity,i.ClearTextPassword=e.ClearTextPassword,i.enblResetLockoutCount=i.enblLockoutBadCount,i},submit:function(){var e=this.getForm();if(!e.isDirty())return void this.setStatusError({text:SYNO.SDS.ADServer.Utils._S("error","nochange_subject"),clear:!0});e.isValid()&&(this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.GPO",method:"set",params:{gpo:this.convFormToData()},version:1,scope:this,callback:function(e,t,i){if(this.clearStatusBusy(),!e)return void SYNO.SDS.ADServer.Utils.Error(this.appWin,t.code,function(){this.loadData()},this);this.loadData()}}))},reset:function(e){var t=this.getForm();t.reset(),Ext.isDefined(e)&&!e.xtype&&(t.setValues(this.convDataToFormData(e)),this.initPageView())},initPageView:function(){var e=this.getForm(),t=e.getValues();t.MaximumPasswordAge&&t.enblMaximumPasswordAge?e.findField("MinimumPasswordAge").realMaxValue=t.MaximumPasswordAge-1:e.findField("MinimumPasswordAge").realMaxValue=999,t.enblLockoutDuration&&t.LockoutDuration?e.findField("ResetLockoutCount").realMaxValue=t.LockoutDuration:e.findField("ResetLockoutCount").realMaxValue=99999,t.enblLockoutBadCount?(e.findField("com-ResetLockoutCount").enable(),e.findField("com-LockoutDuration").enable()):(e.findField("com-ResetLockoutCount").disable(),e.findField("com-LockoutDuration").disable())}}),Ext.namespace("SYNO.SDS.ADServer.SetupWizard"),Ext.define("SYNO.SDS.ADServer.SetupWizard.ConfigPanel",{extend:"SYNO.SDS.Utils.FormPanel",constructor:function(e){var t=Ext.apply({headline:SYNO.SDS.ADServer.Utils._S("common","dc_create_cfg_headline"),description:SYNO.SDS.ADServer.Utils._S("common","dc_create_cfg_desc"),isWizardMode:!0,items:[{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("dhcp_server","domain_name","Domain FQDN")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,style:"text-transform: uppercase",name:"domain",maxLength:64,allowBlank:!1,emptyText:"FQDN (Example: XXX.YYY)",emptyClass:"syno-ad-empty-field",validationEvent:"keyup",vtype:"adDomainName",listeners:{scope:this,blur:function(e){var t=e.getValue().toUpperCase(),i=this.getComponent("domain_netbios"),n=t.split(".");return n.length>1&&i.getValue().empty()&&i.setValue(n[0].substring(0,15)),!0}}},{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("network","wnds_group")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,style:"text-transform: uppercase",name:"netbios",itemId:"domain_netbios",minLength:1,maxLength:15,allowBlank:!1,vtype:"netbiosName",validator:function(e){return e.toLowerCase()!==_S("hostname").toLowerCase()||SYNO.SDS.ADServer.Utils._S("error","domain_netbios_eq_hostname")}},{xtype:"syno_displayfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("user","user_account"),value:"Administrator"},{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("lcm","lcm_password","Administrator password")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,textType:"password",name:"admin_password",maxLength:127,allowBlank:!1,validateOnBlur:!1,validationEvent:"keyup",validator:function(e){var t=this.ownerCt.getComponent("passwordRuleDisp"),i="",n=SYNO.SDS.ADServer.Utils._S("common","alert_password_cmplx");return e.length<7?(i='<span class="blue-status">'+String.format(SYNO.SDS.ADServer.Utils._S("common","alert_password_length"),7)+"</span>",t.update(i),t.show(),n):SYNO.SDS.ADServer.Utils.CmplxCheck(e)?(t.hide(),!0):(i='<span class="blue-status">'+SYNO.SDS.ADServer.Utils._S("common","dc_create_domain_pwd_rule")+"</span>",t.update(i),t.show(),n)}},{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("lcm","lcm_password_confirm","Confirm password_confirm")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,textType:"password_confirm",confirmFor:"admin_password",allowBlank:!1,validateOnBlur:!1,validationEvent:"keyup"},{xtype:"syno_displayfield",cls:"x-panel-body welcome-text x-panel-body-noheader x-panel-body-noborder",itemId:"passwordRuleDisp",hidden:!0}]},e);this.callParent([t])},getNext:function(){var e=function(e,t){this.owner.setStatusBusy(),this.sendWebAPI({api:"SYNO.DNSServer.Zone",method:"list",version:1,scope:this,callback:function(i,n,s){this.owner.clearStatusBusy();var r="",o=!1,a=null;if(i)for(var l=0;l<n.items.length;l++)if(a=n.items[l],r=a.zone_name.toUpperCase(),a.zone_enable&&r===e.toUpperCase()){o=!0;break}t(i,o,a)}})}.bind(this),t=function(e,t,i){if(!e||!t)return void this.owner.goNext(this.nextId);this.owner.getMsgBox().confirm("",SYNO.SDS.ADServer.Utils._S("error","domain_name_conflict_dns","Domain Name is conflicted with DNSServer's zone name, do you want to disable domain in DNS Server ?"),function(e){if("yes"===e){var t={master:"SYNO.DNSServer.Zone.MasterZoneConf",slave:"SYNO.DNSServer.Zone.SlaveZoneConf",forward:"SYNO.DNSServer.Zone.ForwardZoneConf"};i.zone_enable=!1,this.owner.setStatusBusy(),this.sendWebAPI({api:t[i.zone_type],method:"set",version:1,scope:this,params:i,callback:function(e,t,i){this.owner.clearStatusBusy(),this.owner.goNext(this.nextId)}})}},this)}.bind(this),i=this.getForm();if(i.isValid()){var n=i.getValues();n.domain=n.domain.toUpperCase(),i.setValues(n),e(this.form.getValues().domain,t)}return!1}}),Ext.define("SYNO.SDS.ADServer.SetupWizard.SummaryPanel",{extend:"SYNO.SDS.Wizard.SummaryStep",constructor:function(){this.callParent(arguments)},activate:function(){this.createSummary()},createSummary:function(){var e=this.store,t=this.owner.configPanel.getForm().getValues();e.removeAll(!0),e.append(SYNO.SDS.ADServer.Utils._S("dhcp_server","domain_name","Domain Name"),t.domain),e.append(SYNO.SDS.ADServer.Utils._S("network","wnds_group"),t.netbios.toUpperCase())},getNext:function(){var e=this.owner.configPanel.getForm().getValues();return this.owner.setStatusBusy(),this.owner.getMsgBox().show({width:240,progress:!0,closable:!1}),this.owner.getMsgBox().updateProgress(.1,"10%",SYNO.SDS.ADServer.Utils._S("common","dc_create_doing","Creating domain ...")),this.sendWebAPI({api:"SYNO.ActiveDirectory.Info",method:"create_domain",version:1,scope:this,params:{domain:e.domain,netbios:e.netbios.toUpperCase(),admin_password:e.admin_password},encryption:["admin_password"],callback:function(e,t,i){this.owner.clearStatusBusy(),e?this.startPolling(!0,{task_id:t.task_id}):this.owner.setStatusError()}}),!1},startPolling:function(e,t,i,n){e&&(this.pollingId=this.owner.pollReg({webapi:{api:"SYNO.ActiveDirectory.Info",method:"create_domain_status",version:1,params:{task_id:t.task_id}},interval:5,immediate:!0,scope:this,status_callback:function(e,t,i,n){e?(this.owner.getMsgBox().updateProgress(.01*t.status,t.status+"%",SYNO.SDS.ADServer.Utils._S("common","dc_create_doing","Creating domain ...")),100===t.status&&(this.stopPolling(),this.owner.owner.setupWizardFinish=!0,function(){this.owner.close()}.defer(1e3,this))):(this.stopPolling(),SYNO.SDS.ADServer.Utils.Error(this.owner,t.code,function(){this.owner.close()},this))}}))},stopPolling:function(){this.pollingId&&(this.owner.pollUnreg(this.pollingId),this.pollingId=void 0)}}),Ext.define("SYNO.SDS.ADServer.SetupWizard.ModelWindow",{extend:"SYNO.SDS.Wizard.ModalWindow",constructor:function(e){this.welcomePanel=new SYNO.SDS.Wizard.WelcomeStep({headline:SYNO.SDS.ADServer.Utils._S("common","dc_create_welcome_headline"),description:SYNO.SDS.ADServer.Utils._S("common","dc_create_welcome_desc"),itemId:"welcome",nextId:"config",owner:this}),this.configPanel=new SYNO.SDS.ADServer.SetupWizard.ConfigPanel({owner:this,itemId:"config",nextId:"summary"}),this.summaryPanel=new SYNO.SDS.ADServer.SetupWizard.SummaryPanel({owner:this,itemId:"summary",nextId:null});var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("common","dc_create_welcome_title","Setup Wizard for AD Server"),width:650,height:550,activeStep:"welcome",steps:[this.welcomePanel,this.configPanel,this.summaryPanel]},e);this.callParent([t])}}),Ext.define("SYNO.SDS.ADServer.SystemChangedNotice.Panel",{extend:"SYNO.ux.FormPanel",constructor:function(e){var t={items:[{xtype:"syno_displayfield",value:SYNO.SDS.ADServer.Utils._S("systemchangenotice","description")},{xtype:"syno_displayfield",value:this.createChangeList(),htmlEncode:!1,listeners:{scope:this,afterrender:{fn:this.hookAppLink,single:!0}}}]};Ext.apply(t,e),this.callParent([t])},createChangeList:function(){function e(e,t){return String.format('<a href="" id="{0}" appmodulelink="{1}">{2}</a>',Ext.id(),e,t)}var t=SYNO.SDS.ADServer.Utils._S,i=["<ul>"];return i.push("<li>"+t("systemchangenotice","item_join_domain")+"</li>"),i.push(String.format("<li>"+t("systemchangenotice","item_dns_setting")+"</li>",e("SYNO.SDS.AdminCenter.Application:SYNO.SDS.AdminCenter.Network.Main",String.format("{0} > {1}",_T("tree","leaf_control_panel"),_T("tree","leaf_lan"))))),i.push("<li>"+t("systemchangenotice","item_dns_server_forwarder_setting")+"</li>"),i.push(String.format("<li>"+t("systemchangenotice","item_smb_signing")+"</li>",e("SYNO.SDS.AdminCenter.Application:SYNO.SDS.AdminCenter.DirectoryService.Main",String.format("{0} > {1}",_T("tree","leaf_control_panel"),_T("directory_service","directory_service_title"))))),i.push("</ul>"),i.join("")},hookAppLink:function(e){Ext.each(e.el.query("a"),function(e){var t=Ext.get(e),i=t.getAttribute("appmodulelink");if(!Ext.isEmpty(i)){var n=i.split(":"),s=n[0],r={fn:n.length>1?n[1]:"",tab:n.length>2?n[2]:""};this.mon(t,"click",function(e){e.preventDefault(),SYNO.SDS.AppLaunch(s,r)},this)}},this)}}),Ext.define("SYNO.SDS.ADServer.SystemChangedNotice.Window",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){var t={cls:"syno-ads-syschgnotice",layout:"fit",width:650,height:300,header:!1,draggable:!1,items:[new SYNO.SDS.ADServer.SystemChangedNotice.Panel],fbar:new Ext.Toolbar({layout:{type:"hbox",pack:"center"},items:[{xtype:"syno_button",text:_T("common","ok"),btnStyle:"blue",scope:this,handler:this.close}]})};t=Ext.apply(t,e),this.callParent([t])}}),Ext.define("SYNO.SDS.ADServer.SettingPanel",{extend:"SYNO.ux.FormPanel",constructor:function(e){this.owner=e.appWin,this.module=e.module,this.callParent([this.fillConfig(e)]),this.owner.settingPanel=this},fillConfig:function(e){var t=[this.fillStatus()];return Ext.apply({title:"Domain Setting",autoScroll:!0,items:t,listeners:{activate:{scope:this,fn:this.load}}},e)},fillStatus:function(){return{xtype:"syno_fieldset",title:SYNO.SDS.ADServer.Utils._S("common","domain_status"),collapsible:!0,items:[{xtype:"syno_compositefield",hideLabel:!0,items:[{xtype:"syno_displayfield",value:SYNO.SDS.ADServer.Utils._S("common","domain_name")+":",width:300},{xtype:"syno_displayfield",id:"setting_domain_name",value:this.owner.fqdn}]},{xtype:"syno_compositefield",hideLabel:!0,items:[{xtype:"syno_displayfield",value:SYNO.SDS.ADServer.Utils._S("common","netbios_name")+":",width:300},{xtype:"syno_displayfield",id:"setting_netbios_name",value:this.owner.netbios}]},{xtype:"syno_compositefield",hideLabel:!0,items:[{xtype:"syno_displayfield",value:SYNO.SDS.ADServer.Utils._S("common","rr_num_not_refer_to_self")+":",id:"rr_num_not_refer_to_self_name",width:300},{xtype:"syno_displayfield",id:"rr_num_not_refer_to_self_value",value:_T("common","loading")}]},{xtype:"syno_displayfield",value:""},{xtype:"syno_button",width:"auto",text:SYNO.SDS.ADServer.Utils._S("common","dc_remove"),disabled:!0,id:"setting_remove_btn",scope:this,handler:this.removeDomainConfirm}]}},initEvents:function(){this.mon(this,"afterlayout",function(){SYNO.SDS.Utils.AddTip(Ext.getCmp("rr_num_not_refer_to_self_name").getEl(),SYNO.SDS.ADServer.Utils._S("common","tip_rr_not_refer_to_self"))},this,{single:!0})},load:function(){if(_D("dockerdsm")&&!_S("ddsm_is_privileged_mode"))return void SYNO.SDS.ADServer.Utils.Error(this.owner,10597,function(){this.owner.close()},this);if(SYNO.SDS.ADServer.ADServerEnabled)return void this.setNumNotReferToSelf(this.owner.fqdn);var e=[{api:"SYNO.ActiveDirectory.Info",method:"get",version:1},{api:"SYNO.Core.Directory.Domain",method:"get",version:1,additional:!1},{api:"SYNO.Core.Directory.LDAP",method:"get",version:1},{api:"SYNO.Core.Share",method:"list",version:1}];this.owner.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({compound:{stopwhenerror:!0,params:e},scope:this,callback:function(e,t,i){var n=SYNO.SDS.ADServer.Utils.Error;if(this.owner.clearStatusBusy(),!e||t.has_fail){var s=SYNO.API.Util.GetFirstError(t);return 10508===s.code?void n(this.owner,s.code,function(){SYNO.SDS.AppLaunch("SYNO.SDS.PkgManApp.Instance",{action:"open",packages:["DirectoryServerForWindowsDomain"]}),this.owner.close()},this):void n(this.owner,5e3,function(){this.owner.close()},this)}return t.result[0].data.online?(this.afterLoad(t.result[0].data),void this.showSystemChangedNotice()):t.result[1].data.enable_domain?void n(this.owner,10598,function(){this.owner.close()},this):t.result[2].data.enable_client?void n(this.owner,10599,function(){this.owner.close()},this):t.result[3].data.shares.find(function(e){return/^(sysvol|netlogon)$/i.test(e.name)})?void n(this.owner,10596,function(){this.owner.close()},this):void this.afterLoad(t.result[0].data)}})},afterLoad:function(e){if(e&&!1===e.online)return void this.createDomain();e&&e.online&&(this.owner.fqdn=e.domain,this.owner.netbios=e.netbios,SYNO.SDS.ADServer.ADServerEnabled=!0),Ext.getCmp("setting_domain_name").setValue(this.owner.fqdn),Ext.getCmp("setting_netbios_name").setValue(this.owner.netbios),Ext.getCmp("setting_remove_btn").enable(),this.setNumNotReferToSelf(this.owner.fqdn)},v6Normalize:function(e){var t=e,i=0,n=t.match(/(.*:)([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+$)/);if(n){for(t=n[1],n=n[2].match(/[0-9]+/g),i=0;i<4;i++){var s=parseInt(n[i],10);n[i]=("0"+s.toString(16)).substr(-2)}t+=n[0]+n[1]+":"+n[2]+n[3]}var r=t.replace(/^:|:$/g,"").split(":");for(i=0;i<r.length;i++){var o=r[i];if(""!==o)r[i]=("0000"+o).substr(-4);else{o=[];for(var a=r.length;a<=8;a++)o.push("0000");r[i]=o.join(":")}}return r.join(":")},getInternalIPs:function(e){var t=[],i=[],n=function(e){return e.split("/")[0]};return Ext.each(e.result[2].data,function(e,s){"connected"===e.status&&(t.push(e.ip),Ext.each(e.ipv6,function(e,t){i.push(this.v6Normalize(n(e)))}.bind(this)))}.bind(this)),Ext.each(e.result[3].data,function(e,s){"connected"===e.status&&(t.push(e.ip),Ext.each(e.ipv6,function(e,t){i.push(this.v6Normalize(n(e)))}.bind(this)))}.bind(this)),Ext.each(e.result[4].data,function(e,s){"Enabled"===e.status&&(t.push(e.ip),Ext.each(e.ipv6,function(e,t){i.push(this.v6Normalize(n(e)))}.bind(this)))}.bind(this)),Ext.each(e.result[5].data,function(e,i){"connected"===e.status&&t.push(e.ip)}.bind(this)),Ext.each(e.result[6].data,function(e,i){"connected"===e.status&&t.push(e.ip)}.bind(this)),Ext.each(e.result[7].data,function(e,i){"connected"===e.status&&t.push(e.ip)}.bind(this)),{v4:t,v6:i}},filterOutExternalRRs:function(e,t){var i=[];return Ext.each(e,function(e,n){0>t.v4.indexOf(e.rr_info)&&0>t.v6.indexOf(e.rr_info)&&0>i.indexOf(e.rr_owner)&&i.push(e)},this),i},normalizeRROwner:function(e){var t=e;return"."===t[t.length-1]&&(t=t.substring(0,t.length-1)),t.toLowerCase()},getRROwnerPrefix:function(e,t){var i=this.normalizeRROwner(e),n=i.indexOf(t.toLowerCase());return 0>n?(SYNO.Debug("impossible here"),[!1,""]):0===n?[!0,""]:[!0,i.substring(0,n-1)]},isSystemRR:function(e,t,i){var n={"":{"_gc._tcp.Default-First-Site-Name._sites":["SRV"],"_gc._tcp":["SRV"],"_kerberos._tcp.Default-First-Site-Name._sites":["SRV"],"_kerberos._tcp":["SRV"],"_kerberos._udp":["SRV"],"_kpasswd._tcp":["SRV"],"_kpasswd._udp":["SRV"],"_ldap._tcp.Default-First-Site-Name._sites.DomainDnsZones":["SRV"],"_ldap._tcp.Default-First-Site-Name._sites.ForestDnsZones":["SRV"],"_ldap._tcp.Default-First-Site-Name._sites":["SRV"],"_ldap._tcp.DomainDnsZones":["SRV"],"_ldap._tcp.ForestDnsZones":["SRV"],"_ldap._tcp":["SRV"],_msdcs:["NS"],"":["NS"],DomainDnsZones:["A","AAAA"],ForestDnsZones:["A","AAAA"]},_msdcs:{"_kerberos._tcp.Default-First-Site-Name._sites.dc":["SRV"],"_kerberos._tcp.dc":["SRV"],"_ldap._tcp.Default-First-Site-Name._sites.dc":["SRV"],"_ldap._tcp.Default-First-Site-Name._sites.gc":["SRV"],"_ldap._tcp.dc":["SRV"],"_ldap._tcp.gc":["SRV"],"_ldap._tcp.pdc":["SRV"],"":["NS"],gc:["A","AAAA"]}},s="[A-Za-z0-9]{8}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{4}-[A-Za-z0-9]{12}$",r={_msdcs:[{reg:"^"+s,type:"SRV"},{reg:"^_ldap._tcp."+s,type:"SRV"}]},o=e.rr_owner,a=e.rr_type,l=!1,d=(""===t?"":t+".")+i,c=this.getRROwnerPrefix(o,d);if(!c[0])return!1;var h=c[1],u=n[t]&&n[t][h];if(u&&(l=!1,Ext.each(u,function(e){if(e===a)return l=!0,!1}),l))return l;var S=r[t];return!(!S||(l=!1,Ext.each(S,function(e){if(h.match(new RegExp(e,"i")))return l=!0,!1}),!l))&&l},getRROwnerNameInInfo:function(e,t){switch(t){case"CNAME":case"NS":return e;case"SRV":return e.split(" ")[3];default:return null}return null},queryRR:function(e,t,i){var n=null;return null===e?null:(Ext.each(i,function(t){if(this.normalizeRROwner(t.rr_owner)===this.normalizeRROwner(e))return n=t,!1},this),n)},queryRRWithCache:function(e,t,i,n){var s=null;if(void 0===n[e]||void 0===n[e][t]){if(null===(s=this.queryRR(e,t,i)))return null}else s=n[e][t];return n[e]=n[e]||{},n[e][t]=s,s},resolveSRVorNSRR:function(e,t,i){var n=e.rr_type,s=e.rr_info,r=this.normalizeRROwner(this.getRROwnerNameInInfo(s,n)),o=null;return"SRV"!==n&&"NS"!==n?(SYNO.Debug("Wrong parameter, record type is not SRV/NS"),null):(o=this.queryRRWithCache(r,n,t,i),null===o?null:"A"!==o.rr_type&&"AAAA"!==o.rr_type?null:o)},resolveCNAMERR:function(e,t,i,n){var s=e.rr_type,r=e.rr_info,o=this.normalizeRROwner(this.getRROwnerNameInInfo(r,s)),a=null,l=null;if("CNAME"!==s)return SYNO.Debug("Wrong parameter, record type is not CNAME"),null;if(null===(a=this.queryRRWithCache(o,s,t,i)))return null;switch(a.rr_type){case"A":case"AAAA":return a;case"NS":return this.resolveSRVorNSRR(a,t,i);case"CNAME":return l=this.normalizeRROwner(a.rr_owner),0<=n.indexOf(l)?null:(n.push(l),this.resolveCNAMERR(a,t,i,n));default:return null}return null},resolveRR:function(e,t,i){switch(e.rr_type){case"A":case"AAAA":return e;case"SRV":case"NS":return this.resolveSRVorNSRR(e,t,i);case"CNAME":return this.resolveCNAMERR(e,t,i,[]);default:return null}return null},resolveToAorAAAAs:function(e,t,i){var n=[],s=null,r={},o=e.records.concat(t.records),a=function(e,t){Ext.each(e.records,function(n,a){if(!this.isSystemRR(n,e.domain,i))return!0;(s=this.resolveRR(n,o,r))&&0>t.indexOf(s)&&t.push(s)},this)}.bind(this);return a(e,n),a(t,n),n},getExternalRRs:function(e,t){if(void 0!==e){var i=[{api:"SYNO.DNSServer.Zone.Record",method:"list",version:1,params:{zone_name:e+"@Active Directory",domain_name:e,zone_type:"master"}},{api:"SYNO.DNSServer.Zone.Record",method:"list",version:1,params:{zone_name:"_msdcs."+e+"@Active Directory",domain_name:"_msdcs."+e,zone_type:"master"}},{api:"SYNO.Core.Network.Ethernet",method:"list",version:1},{api:"SYNO.Core.Network.Bond",method:"list",version:1},{api:"SYNO.Core.Network.Wifi.Client",method:"list",version:1},{api:"SYNO.Core.Network.VPN.PPTP",method:"list",version:1,params:{additional:["status"]}},{api:"SYNO.Core.Network.VPN.OpenVPN",method:"list",version:1,params:{additional:["status"]}},{api:"SYNO.Core.Network.VPN.L2TP",method:"list",version:1,params:{additional:["status"]}}];this.sendWebAPI({compound:{stopwhenerror:!0,params:i},scope:this,callback:function(i,n,s){var r={},o={},a={v4:[],v6:[]},l=[],d=[],c=SYNO.SDS.ADServer.Utils.Error;if(!i||n.has_fail)return void c(this.owner,5e3,function(){},this);a=this.getInternalIPs(n),r={records:n.result[0].data.items,domain:""},o={records:n.result[1].data.items,domain:"_msdcs"},l=this.resolveToAorAAAAs(r,o,e),d=this.filterOutExternalRRs(l,a),t(d)}})}},setNumNotReferToSelf:function(e){var t=Ext.getCmp("rr_num_not_refer_to_self_value"),i=[];this.getExternalRRs(e,function(e){t.setValue(e.length),Ext.each(e,function(e){i.push(e.full_record)}),Ext.QuickTips.register({target:t.getEl(),text:i.join("<BR>")})})},createDomain:function(e){function t(){this.owner.setupWizardFinish?this.load():this.appWin.close()}this.owner.setupWizardFinish=!1,new SYNO.SDS.ADServer.SetupWizard.ModelWindow({owner:this.owner,listeners:{scope:this,destroy:t}}).open()},removeDomainConfirm:function(){if(SYNO.SDS.ADServer.ADServerEnabled){var e=SYNO.SDS.ADServer.Utils._S("common","dc_remove_alert","Do you really want to remove domain ?");this.owner.getMsgBox().confirmDelete("",e,function(e){"yes"===e&&this.removeDomain()},this)}},removeDomain:function(){this.owner.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Info",method:"remove_domain",version:1,scope:this,callback:function(e,t,i){this.owner.clearStatusBusy(),e?this.owner.close():SYNO.SDS.ADServer.Utils.Error(this.owner,t.code,function(){this.owner.close()},this)}})},showSystemChangedNotice:function(){if(this.owner.setupWizardFinish){new SYNO.SDS.ADServer.SystemChangedNotice.Window({owner:this.owner}).open()}}}),Ext.define("SYNO.SDS.ADServer.MemberImportPreviewGrid",{extend:"SYNO.ux.GridPanel",constructor:function(e){this.colModel=this.createColModel(),this.store=this.createJsonStore();var t=Ext.apply({ds:this.store,cm:this.colModel,cls:"without-dirty-red-gird",height:320,enableColumnMove:!1,minColumnWidth:70,selModel:new Ext.grid.RowSelectionModel,view:new SYNO.ux.FleXcroll.grid.BufferView({rowHeight:27,scrollDelay:!1,cacheSize:50})},e);this.callParent([t])},createColModel:function(){var e=SYNO.SDS.ADServer.Utils._S,t=function(e,t){return t.attr=String.format('ext:qtip="{0}"',e.msg),String.format('<font class="red-status">{0}</font>',e.msg)};return new Ext.grid.ColumnModel({defaults:{width:70,sortable:!1,renderer:function(e,t){var i=Ext.util.Format.htmlDecode(e);return i=Ext.util.Format.htmlEncode(i),t.attr=String.format('ext:qtip="{0}"',Ext.util.Format.htmlEncode(i)),i}},columns:[{header:e("common","name"),dataIndex:"name"},{header:e("lcm","lcm_password"),dataIndex:"password"},{header:e("common","description"),dataIndex:"description"},{header:e("common","email"),dataIndex:"email"},{header:e("user","user_firstname"),dataIndex:"first_name"},{header:e("user","user_lastname"),dataIndex:"last_name"},{header:e("user","user_fullname"),dataIndex:"display_name"},{header:e("user","user_profile_path"),dataIndex:"profile_path"},{header:e("user","user_logon_script"),dataIndex:"logon_script"},{header:e("user","user_home_folder"),dataIndex:"home_directory"},{header:e("common","domain_status"),dataIndex:"status",renderer:t}]})},createJsonStore:function(){return new Ext.data.JsonStore({root:"data",totalProperty:"total",fields:[{name:"name",mapping:"name"},{name:"password",mapping:"password"},{name:"description",mapping:"description"},{name:"email",mapping:"email"},{name:"first_name",mapping:"first_name"},{name:"last_name",mapping:"last_name"},{name:"display_name",mapping:"display_name"},{name:"profile_path",mapping:"profile_path"},{name:"logon_script",mapping:"logon_script"},{name:"home_directory",mapping:"home_directory"},{name:"status",mapping:"status"}],listeners:{exception:function(e,t,i,n,s,r){}}})}}),Ext.define("SYNO.SDS.ADServer.MemberImportForm",{extend:"SYNO.SDS.Utils.FormPanel",constructor:function(e){this.owner=e.owner;var t=SYNO.SDS.ADServer.Utils._S,i=Ext.apply({border:!1,fileUpload:!0,webapi:{api:"SYNO.ActiveDirectory.Directory.Import",version:1,methods:{set:"import"}},items:[{xtype:"syno_checkbox",name:"cb_overwrite",boxLabel:t("member","check_overwrite")},{xtype:"syno_checkbox",name:"cb_notify",boxLabel:t("member","notify_new_user"),disabled:!e.mail_enabled,listeners:{scope:this,check:this.onNotifyClick}},{xtype:"syno_checkbox",name:"cb_notify_password",indent:1,boxLabel:SYNO.SDS.ADServer.Utils._S("member","notify_password_in_mail"),disabled:!0},{xtype:"syno_checkbox",name:"cb_change_password",boxLabel:t("member","first_time_login_change_password")},{xtype:"syno_ad_filebutton",fieldLabel:t("common","file"),name:"f_member",hiddenName:"f_member",maxSize:4194304},new SYNO.SDS.ADServer.MemberImportPreviewGrid({owner:this.owner,itemId:"preview_grid"})]},e);this.callParent([i])},initEvents:function(){var e=this.getForm();this.mon(e,"actioncomplete",this.onActionComplete,this),this.mon(e,"actionfailed",this.onActionFailed,this),this.mon(this,"afterlayout",function(){this.mon(e.findField("f_member").getEl(),"change",this.onImportFileChanged,this)},this,{single:!0})},onNotifyClick:function(e,t){var i=this.getForm().findField("cb_notify_password");if(t)return void i.enable();i.setValue(!1).disable()},onImportFileChanged:function(e,t){Ext.isEmpty(t.value)||(this.owner.setStatusBusy({text:_T("common","loading")}),this.getForm().doAction("apply"))},onActionComplete:function(e,t){var i=this.owner.getFooterToolbar().getComponent("apply");i.disable(),this.owner.clearStatusBusy(),t.result.success?(this.checkPreviewData(t.result.data),this.getStore().loadData(t.result.data),i.enable()):(this.reset(),SYNO.SDS.ADServer.Utils.Error(this.owner,_T("common","commfail")))},onActionFailed:function(e,t){this.owner.clearStatusBusy(),this.reset(),SYNO.SDS.ADServer.Utils.Error(this.owner,t.result.error.code)},getStore:function(){return this.getComponent("preview_grid").getStore()},checkPreviewData:function(e){var t=[],i=!0,n=function(e,t,i){var n=e[t];return e.status={validated:!0,msg:""},!(n&&!Ext.form.VTypes[i](n))||(e.status.validated=!1,e.status.msg=SYNO.SDS.ADServer.Utils._S("user",String.format("error_{0}_invalid",i)),!1)};this.member_store.snapshot.items.each(function(e){if("user"===e.get("type")){var i=e.get("name").toLowerCase();t.push(i.substr(i.indexOf("\\")+1))}});for(var s=0;s<e.total;s++){var r=e.data[s];n(r,"name","username")&&n(r,"email","email")||(i=!1),-1!==t.indexOf(r.name.toLowerCase())&&(r.status.msg=SYNO.SDS.ADServer.Utils._S("error","already_exists"))}return i},getData:function(){for(var e=this.getForm(),t=this.getStore().reader.jsonData.data,i=[],n=0;n<t.length;n+=1)t[n].status.validated&&i.push(t[n]);return{data:i,overwrite:e.findField("cb_overwrite").getValue(),mail_notification:e.findField("cb_notify").getValue(),password_notification:e.findField("cb_notify_password").getValue(),password_must_change:e.findField("cb_change_password").getValue()}},reset:function(){this.getForm().reset(),this.getStore().removeAll()}}),Ext.define("SYNO.SDS.ADServer.MemberImport",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("user","import_users"),width:1200,height:450,minWidth:1200,minHeight:450,layout:"fit",items:[new SYNO.SDS.ADServer.MemberImportForm({owner:this,itemId:"main",mail_enabled:e.mail_enabled,member_store:e.member_store})],buttons:[{text:_T("common","apply"),btnStyle:"blue",itemId:"apply",disabled:!0,scope:this,handler:this.onApply},{text:_T("common","reset"),scope:this,handler:this.reset},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t])},getPanel:function(){return this.getComponent("main")},onApply:function(){this.sendImportWebapi()},reset:function(){this.getPanel().reset(),this.getFooterToolbar().getComponent("apply").disable()},
sendImportWebapi:function(){this.setStatusBusy({text:_T("common","saving")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Directory.Import",method:"set",version:1,params:this.getPanel().getData(),scope:this,callback:function(e,t,i){if(this.clearStatusBusy(),!e)return void this.owner.setStatusError();this.startImportPolling(t.task_id)}})},startImportPolling:function(e){this.getMsgBox().show({width:240,progress:!0,closable:!1});var t=this.pollReg({webapi:{api:"SYNO.ActiveDirectory.Directory.Import",method:"get",version:1,params:{task_id:e}},interval:5,immediate:!0,scope:this,status_callback:function(e,i){return e?i.finished?(this.stopImportPolling(t),this.execCallback("reload"),void this.close()):void this.getMsgBox().updateProgress(i.processing/i.total,i.processing+"/"+i.total,i.name):(this.stopImportPolling(t),void this.showError(i.code,function(){this.execCallback("reload"),this.close()},this))}})},stopImportPolling:function(e){this.owner.pollUnreg(e)},showError:function(e,t,i){SYNO.SDS.ADServer.Utils.Error(this,e,t,i)},execCallback:function(e){if(this.callbacks){var t=this.callbacks.scope,i=this.callbacks[e]||function(){};i.fn?i.fn.call(i.scope||t):i.call(t)}}}),Ext.namespace("SYNO.SDS.ADServer.Utils"),SYNO.SDS.ADServer.Utils._S=function(e,t,i){return _TT("SYNO.SDS.ADServer.Application",e,t)||_T(e,t)||"-"+i||e+" - "+t},SYNO.SDS.ADServer.Utils.errMap={5e3:SYNO.SDS.ADServer.Utils._S("error","error_invalid"),1e4:SYNO.SDS.ADServer.Utils._S("error","file_not_found"),10001:SYNO.SDS.ADServer.Utils._S("error","file_create_failed"),10002:SYNO.SDS.ADServer.Utils._S("error","file_access_failed"),10003:SYNO.SDS.ADServer.Utils._S("error","file_copy_failed"),10004:SYNO.SDS.ADServer.Utils._S("error","file_append_failed"),10005:SYNO.SDS.ADServer.Utils._S("error","file_invalid_file"),10006:SYNO.SDS.ADServer.Utils._S("error","file_invalid_type"),10007:SYNO.SDS.ADServer.Utils._S("error","file_invalid_size"),10008:SYNO.SDS.ADServer.Utils._S("error","file_invalid_format"),10100:SYNO.SDS.ADServer.Utils._S("error","bad_argument"),10101:SYNO.SDS.ADServer.Utils._S("error","bad_alloc"),10102:SYNO.SDS.ADServer.Utils._S("error","bad_key"),10200:SYNO.SDS.ADServer.Utils._S("error","db_op_failed"),10205:SYNO.SDS.ADServer.Utils._S("ou","ou_input_alert")+" "+SYNO.SDS.ADServer.Utils._S("error","already_exists"),10300:SYNO.SDS.ADServer.Utils._S("error","exec_failed"),10301:SYNO.SDS.ADServer.Utils._S("error","exec_unexpected_exit"),10302:SYNO.SDS.ADServer.Utils._S("error","exec_unexpected_output"),10400:SYNO.SDS.ADServer.Utils._S("error","service_start_failed"),10401:SYNO.SDS.ADServer.Utils._S("error","service_stop_failed"),10500:SYNO.SDS.ADServer.Utils._S("error","domain_initial_failed"),10501:SYNO.SDS.ADServer.Utils._S("error","domain_create_failed"),10502:SYNO.SDS.ADServer.Utils._S("error","domain_remove_failed"),10503:SYNO.SDS.ADServer.Utils._S("error","domain_start_failed"),10504:SYNO.SDS.ADServer.Utils._S("error","domain_stop_failed"),10505:SYNO.SDS.ADServer.Utils._S("error","domain_set_password_failed"),10506:SYNO.SDS.ADServer.Utils._S("error","domain_not_ad"),10507:SYNO.SDS.ADServer.Utils._S("error","domain_set_scheduler_failed"),10508:SYNO.SDS.ADServer.Utils._S("error","domain_in_unexpected_state"),10596:SYNO.SDS.ADServer.Utils._S("error","domain_reserved_ad_share"),10597:SYNO.SDS.ADServer.Utils._S("error","domain_no_ddsm_privilege"),10598:SYNO.SDS.ADServer.Utils._S("error","domain_disable_domain_client"),10599:SYNO.SDS.ADServer.Utils._S("error","domain_disable_ldap_client"),10600:SYNO.SDS.ADServer.Utils._S("error","user_get_failed"),10601:SYNO.SDS.ADServer.Utils._S("error","user_set_failed"),10602:SYNO.SDS.ADServer.Utils._S("error","user_enum_failed"),10603:SYNO.SDS.ADServer.Utils._S("error","user_create_failed"),10604:SYNO.SDS.ADServer.Utils._S("error","user_remove_failed"),10605:SYNO.SDS.ADServer.Utils._S("error","user_bad_property"),10606:SYNO.SDS.ADServer.Utils._S("error","user_already_exists"),10700:SYNO.SDS.ADServer.Utils._S("group","failed_load_group"),10701:SYNO.SDS.ADServer.Utils._S("group","error_set_info"),10702:SYNO.SDS.ADServer.Utils._S("error","group_enum_failed"),10703:SYNO.SDS.ADServer.Utils._S("group","error_new_group"),10704:SYNO.SDS.ADServer.Utils._S("error","group_remove_failed"),10705:SYNO.SDS.ADServer.Utils._S("error","group_bad_property"),10706:SYNO.SDS.ADServer.Utils._S("error","group_already_exists"),10707:SYNO.SDS.ADServer.Utils._S("error","operation_on_builtin_account"),10800:SYNO.SDS.ADServer.Utils._S("error","gpo_get_failed"),10801:SYNO.SDS.ADServer.Utils._S("error","gpo_set_failed"),10900:SYNO.SDS.ADServer.Utils._S("error","machine_get_failed"),10901:SYNO.SDS.ADServer.Utils._S("error","machine_set_failed"),2e4:SYNO.SDS.ADServer.Utils._S("error","error_invalid")},SYNO.SDS.ADServer.Utils.getErrorString=function(){var e=SYNO.SDS.ADServer.Utils.errMap,t=[];if(0===arguments.length)return"";t[0]=e[arguments[0]],t[0]||(t[0]=e[2e4]);for(var i=1;i<arguments.length;i++)t[i]=arguments[i];return String.format.apply(this,t)},SYNO.SDS.ADServer.Utils.Error=function(e,t,i,n){n=n||i,Ext.isArray(t)||(t=[t]),Ext.isString(t)||(t=SYNO.SDS.ADServer.Utils.getErrorString.apply(null,t)),e.getMsgBox().alert("",t,i?i.bind(n):function(){})},SYNO.SDS.ADServer.Utils.Color=function(e,t){return String.format('<span class="{0}-status">{1}</span>',t,e)},SYNO.SDS.ADServer.Utils.RequireStar=SYNO.SDS.ADServer.Utils.Color(_T("common","star"),"red"),SYNO.SDS.ADServer.Utils.CmplxCheck=function(e){for(var t=0,i=!1,n=!1,s=!1,r=!1,o=!1,a=0;a<e.length&&t<3;a+=1){var l=e.charAt(a);s||(s=function(e){return/^\d$/.test(e)}(l),t+=s),r||(r=function(e){return/^[~!@#$%^&*_\-+=`|\\(){}[\]:;"'<>,.?\/'"`]$/.test(e)}(l),t+=r),i||(i=function(e){return/^[A-Z\u00C0-\u02FF\u0370-\u03FF\u0400-\u04FF]$/.test(e)&&e.toUpperCase()!=e.toLowerCase()&&e.toUpperCase()===e}(l),t+=i),n||(n=function(e){return/^[a-z\u00C0-\u02FF\u0370-\u03FF\u0400-\u04FF]$/.test(e)&&e.toUpperCase()!=e.toLowerCase()&&e.toLowerCase()===e}(l),t+=n),o||(o=function(e){return(/^[\u01BB\u01C0-\u01C3\u01C5\u01C8\u01CB\u01F2]$/.test(e)||/^[\u02B9-\u02D1\u02EC\u02EE]$/.test(e)||/^[\u0374]$/.test(e)||/^[^\u0000-\u04ff]$/.test(e))&&e.toLowerCase()===e.toUpperCase()}(l),t+=o)}return t>=3},SYNO.SDS.ADServer.Utils.EscapeDN=function(e){return e.replace(/(\\|#|,|\+|"|<|>|\?)/g,"\\$1").replace(/(;|\r|\n|=|\0)/g,function(e){return"\\"+e.charCodeAt(0).toString(16)})},SYNO.SDS.ADServer.Utils.EscapeRegExp=function(e){return e.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")},Ext.apply(Ext.form.VTypes,{adDomainName:function(e){return(!_S("hostname")||!e.toUpperCase().startsWith(_S("hostname").toUpperCase()+"."))&&(!/^(anonymous|batch|builtin|dialup|interactive|internet|local|network|null|proxy|restricted|self|server|service|system|users|world)\./i.test(e)&&/^[a-z0-9](?=.{1,63})[a-z0-9\-]*(\.[a-z0-9\-]+)*\.(?=.+[^\-]$)(?=.*[a-z])[a-z0-9\-]{2,}$/i.test(e))},adDomainNameText:SYNO.SDS.ADServer.Utils._S("common","alert_domain_format"),adDomainNameMask:/[a-zA-Z0-9\-.]/i}),SYNO.SDS.ADServer.Utils.splitDn=function(e){for(var t=/((?:[A-Za-z][\w-]*|\d+(?:\.\d+)*)=(?:#(?:[\dA-Fa-f]{2})+|(?:[^,=\+<>#;\\"\?]|\\[,=\+<>#;\\"\?]|\\[\dA-Fa-f]{2})*|"(?:[^\\"]|\\[,=\+<>#;\\"\?]|\\[\dA-Fa-f]{2})*")(?:\+(?:[A-Za-z][\w-]*|\d+(?:\.\d+)*)=(?:#(?:[\dA-Fa-f]{2})+|(?:[^,=\+<>#;\\"\?]|\\[,=\+<>#;\\"\?]|\\[\dA-Fa-f]{2})*|"(?:[^\\"]|\\[,=\+<>#;\\"\?]|\\[\dA-Fa-f]{2})*"))*)(?:,|$)/g,i=[],n=t.exec(e);null!==n;)i.push(n[1]),n=t.exec(e);return i},Ext.define("SYNO.SDS.ADServer.Utils.OptCheckBox",{extend:"SYNO.ux.CompositeField",hideLabel:!0,constructor:function(e){e=e||{};var t=Ext.apply({items:[{xtype:"syno_checkbox",boxLabel:" ",handler:function(e,t){var i=this.ownerCt.items.get(1);t?i.enable():(i.setValue(!1),i.disable())}},{xtype:"syno_checkbox",name:e.name,boxLabel:e.boxLabel,disabled:!0,listeners:e.innerListeners}],listeners:{enable:function(e){var t=e.items.get(0);this.checkbox.setDisabled(!t.getValue())}}},e);this.callParent([t]),this.name=e.name,this.checkbox=this.items.get(1)},getName:function(){return this.name},getValue:function(){return this.checkbox.getValue()}}),Ext.define("SYNO.SDS.ADServer.Utils.OptTextField",{extend:"SYNO.ux.CompositeField",hideLabel:!0,constructor:function(e){var t=Ext.apply({items:[{xtype:"syno_checkbox",boxLabel:e.boxLabel,width:200,name:e.name+"CheckBox",handler:function(e,t){var i=this.ownerCt.items.get(1);t?i.enable():(i.setValue(""),i.disable())}},{xtype:"syno_ad_dirtycheck_textfield",name:e.name,width:e.textWidth,vtype:e.vtype,disabled:!0}]},e);this.callParent([t]),this.name=e.name,this.checkbox=this.items.get(0),this.textfield=this.items.get(1)},getName:function(){return this.name},getValue:function(){return this.checkbox.getValue()?this.textfield.getValue():void 0}}),Ext.define("SYNO.SDS.ADServer.Utils.OptNumberField",{extend:"SYNO.ux.CompositeField",hideLabel:!0,constructor:function(e){this.callParent([{items:this.createItems(e),listeners:{disable:function(e){e.checkbox.setValue(!1)},enable:function(e){e.numberfield.disable()}}}]);var t=this;this.checkbox=this.items.get(0),this.numberfield=this.items.get(1),this.numberfield.getRealValue=function(){return t.getValue()}},createItems:function(e){var t=[{xtype:"syno_checkbox",name:"enbl"+e.name,boxLabel:e.boxLabel,qTip:e.qTips,width:e.width||"auto",handler:function(e,t){e.nextSibling().setDisabled(!t)},listeners:{scope:this,check:function(t,i){i&&t.nextSibling().validate(),e.listeners&&e.listeners.change&&e.listeners.change(this,this.getValue(i))},render:function(e){e.qTip&&Ext.QuickTips.register({target:e.getEl(),text:e.qTip})}}},{xtype:"syno_numberfield",name:e.name,vtype:e.vtype,value:e.value,maxValue:e.maxValue,minValue:e.minValue,disabled:!0,validator:e.validator,listeners:{change:{scope:this,fn:function(){this.validate(),e.listeners&&e.listeners.change&&e.listeners.change(this,this.getValue())}}}}];return e.unit&&t.push({xtype:"syno_displayfield",value:e.unit}),t},getValue:function(e){return Ext.isBoolean(e)?e?this.numberfield.getValue():0:this.numberfield.disabled?0:this.numberfield.getValue()},setValue:function(e){this.checkbox.setValue(0!==e),this.numberfield.setValue(e)},setMaxValue:function(e){this.numberfield.setMaxValue(e)},setMinValue:function(e){this.numberfield.setMinValue(e)}}),Ext.define("SYNO.SDS.ADServer.Utils.OptNumberCombo",{extend:"SYNO.ux.CompositeField",hideLabel:!0,constructor:function(e){this.callParent([{name:"com-"+e.name,items:this.createItems(e),listeners:{disable:function(e){e.checkbox.setValue(!1),e.numberfield.disable(),e.combo.disable()},enable:function(e){e.checkbox.enable(),e.numberfield.setDisabled(!e.checkbox.getValue()),e.combo.setDisabled(!e.checkbox.getValue())}}}]);var t=this;this.checkbox=this.items.get(0),this.numberfield=this.items.get(1),this.numberfield.realMaxValue=e.maxValue,this.numberfield.realMinValue=e.minValue,this.numberfield.getRealValue=function(){return t.getValue()},this.combo=this.items.get(2)},createItems:function(e){return[{xtype:"syno_checkbox",name:"enbl"+e.name,boxLabel:e.boxLabel,qTip:e.qTip,width:e.width||"auto",handler:function(e,t){var i=e.nextSibling(),n=e.nextSibling().nextSibling();i.setDisabled(!t),n.setDisabled(!t)},listeners:{scope:this,check:function(t,i){var n=t.nextSibling();i&&n.validate(),e.listeners&&e.listeners.change&&e.listeners.change(this,this.getValue(i))},render:function(t){t.qTip&&Ext.QuickTips.register({target:t.getEl(),text:t.qTip}),e.checkHidden&&t.checkIcon.hide()}}},{xtype:"syno_numberfield",name:e.name,vtype:e.vtype,value:e.value,disabled:!0,validationEvent:"keyup",validator:function(t){t=t.replace(/\D/gi,""),Ext.isEmpty(t)&&(t=0),this.setRawValue(t);var i=t*parseInt(this.nextSibling().getValue(),10);return i<this.realMinValue?String.format(_JSLIBSTR("extlang","minnumber"),Math.floor(this.realMinValue/this.nextSibling().getValue())):i>this.realMaxValue?String.format(_JSLIBSTR("extlang","maxnumber"),Math.floor(this.realMaxValue/this.nextSibling().getValue())):!e.validator||e.validator(i)},listeners:{change:{scope:this,fn:function(){this.validate(),e.listeners&&e.listeners.change&&e.listeners.change(this,this.getValue())}}}},{xtype:"syno_combobox",value:e.unit[0][0],hiddenName:e.name+"Combo",allowBlank:!1,disabled:!0,typeAhead:!0,triggerAction:"all",width:150,mode:"local",valueField:"value",displayField:"text",store:new Ext.data.ArrayStore({fields:["value","text"],data:e.unit}),listeners:{scope:this,change:function(t){this.validate(),e.listeners&&e.listeners.change&&e.listeners.change(this,this.getValue()),t.previousSibling().validate()}}}]},getValue:function(e){return Ext.isBoolean(e)?e?this.numberfield.getValue()*this.combo.getValue():0:this.numberfield.disabled?0:this.numberfield.getValue()*this.combo.getValue()},setValue:function(e){this.checkbox.setValue(0!==e),this.numberfield.setValue(Math.floor(e/this.combo.getValue())),this.numberfield.setDisabled(0===e),this.combo.setDisabled(0===e)},setMaxValue:function(e){this.numberfield.realMaxValue=e,this.numberfield.validate()},setMinValue:function(e){this.numberfield.realMinValue=e,this.numberfield.validate()}}),Ext.define("SYNO.SDS.ADServer.Utils.DirtyCheckTextField",{extend:"SYNO.ux.TextField",constructor:function(e){var t=e.vtype,i=e.validator;e.vtype=null,t&&(e.maskRe=Ext.form.VTypes[t+"Mask"],e.validationEvent="keyup",e.validator=function(e){return!this.isDirty()||(!(0!==e.length||!this.allowBlank)||(Ext.form.VTypes[t](e)?!Ext.isFunction(i)||i(e):Ext.form.VTypes[t+"Text"]))}),this.callParent([e])}}),Ext.define("SYNO.SDS.ADServer.Utils.FileButton",{extend:"SYNO.ux.FileButton",constructor:function(e){if(this.callParent([e]),this.maxSize=e.maxSize,Ext.isString(e.validExt)&&(e.validExt=[e.validExt]),Ext.isArray(e.validExt)){this.validExt=e.validExt;var t=String.format(".*\\.({0})$",e.validExt.join("|"));this.validator=new RegExp(t,"i")}},onFileChange:function(){var e=this.el.dom.value;if(0===e.length)return!1;if(this.validator&&!this.validator.test(e))return SYNO.SDS.ADServer.Utils.Error(this.findWindow(),[10006,this.validExt.join("|")]),this.reset(),!1;var t=this.getFileByteSize();if(t>=0&&t>this.maxSize)return SYNO.SDS.ADServer.Utils.Error(this.findWindow(),[10007,String.format("{0}MB",this.maxSize/1048576)]),this.reset(),!1;this.fileTextField.setValue(e.replace(/^C:\\fakepath\\/gi,"")),this.fireEvent("change",e)},getFileByteSize:function(){return this.el.dom.files&&this.el.dom.files.length?void 0===this.el.dom.files[0].size?-1:this.el.dom.files[0].size:-1}}),Ext.reg("syno_ad_checkbox",SYNO.SDS.ADServer.Utils.OptCheckBox),Ext.reg("syno_ad_textfield",SYNO.SDS.ADServer.Utils.OptTextField),Ext.reg("syno_ad_numberfield",SYNO.SDS.ADServer.Utils.OptNumberField),Ext.reg("syno_ad_numbercombo",SYNO.SDS.ADServer.Utils.OptNumberCombo),Ext.reg("syno_ad_dirtycheck_textfield",SYNO.SDS.ADServer.Utils.DirtyCheckTextField),Ext.reg("syno_ad_filebutton",SYNO.SDS.ADServer.Utils.FileButton),Ext.define("SYNO.SDS.ADServer.Utils.GroupMemberGrid",{extend:"SYNO.ux.GridPanel",constructor:function(e){this.owner=e.owner,this.dn=e.dn,this.members=[],this.store=this.createStore(),this.checkCache={};var t=new SYNO.ux.EnableColumn({header:SYNO.SDS.ADServer.Utils._S("common","join","Join"),dataIndex:"join",align:"center"}),i=function(e,t){return e=Ext.util.Format.htmlEncode(e),t.attr='ext:qtip="'+Ext.util.Format.htmlEncode(e)+'"',e},n=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("group","group_members","Members"),autoExpandColumn:"description_field",colModel:new Ext.grid.ColumnModel([{header:SYNO.SDS.ADServer.Utils._S("common","name","Name"),dataIndex:"name",width:160,renderer:i},{id:"description_field",header:SYNO.SDS.ADServer.Utils._S("common","description","Description"),dataIndex:"description",width:320,renderer:i},{id:"dn_id",header:"DN",dataIndex:"dn",hidden:!0,renderer:i},t]),tbar:["->",{xtype:"syno_textfilter",iconStyle:"filter",itemId:"search",emptyText:SYNO.SDS.ADServer.Utils._S("myds","search","search"),store:this.store,queryParam:"substr",pageSize:20}],bbar:{xtype:"syno_paging",store:this.store,pageSize:20,displayInfo:!0},store:this.store,plugins:[t],listeners:{show:{fn:function(e){e.loaded||(this.owner.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Group.Member",method:"list",params:{dn:this.dn},version:1,scope:this,callback:function(e,t,i){this.owner.clearStatusBusy(),e&&t.members?(this.members=t.members,this.getBottomToolbar().changePage(0)):this.owner.setStatusError()}})),e.loaded=!0},scope:this}}},e);this.callParent([n])},createStore:function(){var e=this;return new SYNO.API.JsonStore({fields:["name","dn","join","description"],root:"objects",totalProperty:"total",api:"SYNO.ActiveDirectory.Directory",method:"list",version:1,appWindow:this.owner,baseParams:{type:["user"],sort:"name"},scope:this,listeners:{beforeload:{scope:this,fn:function(e){this.owner.setStatusBusy({text:_T("common","loading")})}},load:{scope:this,fn:function(t,i){t.each(function(t){var i=t.get("dn");if(!e.checkCache[i]){var n=void 0!==e.members.find(function(e){return e===i});e.checkCache[i]={name:t.get("name"),value:n,originalValue:n}}var s=e.checkCache[i].originalValue,r=e.checkCache[i].value;t.set("join",s),t.commit(),t.set("join",r)}),this.owner.clearStatusBusy()}},exception:{scope:this,fn:function(e,t,i,n,s,r){this.appWin.clearStatusBusy()}},update:function(t,i,n){if(Ext.data.Record.EDIT===n){var s=i.data.dn;e.checkCache[s].value=i.data.join}}}})},getModifiedRows:function(){return Object.keys(this.checkCache).inject([],function(e,t){var i=this.checkCache[t];return i.originalValue!==i.value&&e.push({dn:t,name:i.name,join:i.value}),e},this)}}),Ext.define("SYNO.SDS.ADServer.Utils.GroupJoinGrid",{extend:"SYNO.ux.GridPanel",constructor:function(e){var t=this;this.owner=e.owner,this.memberOf=e.memberOf||[],this.store=this.createStore(),this.checkCache={},this.primaryGroup=e.primaryGroup||{rid:513},this.lockPrimaryGroup=e.lockPrimaryGroup||!0,this.numberOfEnable=1;var i=new SYNO.ux.EnableColumn({id:"join",header:SYNO.SDS.ADServer.Utils._S("common","join","Join"),dataIndex:"join",align:"center"}),n=function(e,t){return e=Ext.util.Format.htmlEncode(e),t.attr='ext:qtip="'+Ext.util.Format.htmlEncode(e)+'"',e},s=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("common","member_of","Member of"),autoExpandColumn:"description_field",colModel:new Ext.grid.ColumnModel([{header:SYNO.SDS.ADServer.Utils._S("common","name","Name"),dataIndex:"name",width:160,renderer:n},{id:"description_field",header:SYNO.SDS.ADServer.Utils._S("common","description","Description"),dataIndex:"description",width:160,renderer:n},{id:"dn_id",header:"DN",dataIndex:"dn",hidden:!0,renderer:n},i]),tbar:["->",{xtype:"syno_textfilter",iconStyle:"filter",itemId:"search",emptyText:SYNO.SDS.ADServer.Utils._S("myds","search","search"),store:this.store,queryParam:"substr",pageSize:10}],bbar:{xtype:"syno_paging",store:this.store,pageSize:10,displayInfo:!0},store:this.store,viewConfig:{getRowClass:function(e,i){if(e.json.rid===t.primaryGroup.rid)return"syno-sds-ads-disable-row"}},plugins:[i],listeners:{show:{fn:function(e){e.loaded||this.getBottomToolbar().changePage(0),e.loaded=!0},scope:this},cellclick:{fn:function(e,t,i,n){var s=e.getStore().getAt(t);return!this.lockPrimaryGroup||s.json.rid!==this.primaryGroup.rid},scope:this}}},e);this.callParent([s])},createStore:function(){var e=this;return new SYNO.API.JsonStore({fields:["name","dn","join","description"],root:"objects",totalProperty:"total",api:"SYNO.ActiveDirectory.Directory",method:"list",version:1,appWindow:this.owner,baseParams:{type:["group"],sort:"name"},scope:this,listeners:{beforeload:{scope:this,fn:function(e){this.owner.setStatusBusy({text:_T("common","loading")})}},load:{scope:this,fn:function(t,i){t.each(function(t,i){var n=t.get("dn"),s=parseInt(t.json.rid,10);if(!e.checkCache[n]){var r=!!e.memberOf.find(function(e){return e===n});e.checkCache[n]={name:t.get("name"),value:r,originalValue:r}}var o=e.checkCache[n].originalValue,a=e.checkCache[n].value;e.primaryGroup.rid===s&&(e.primaryGroup.name=t.get("name"),e.checkCache[n].originalValue=!0,e.checkCache[n].value=!0,a=o=!0),t.set("join",o),t.commit(),t.set("join",a)}),this.owner.clearStatusBusy()}},exception:{scope:this,fn:function(e,t,i,n,s,r){this.appWin.clearStatusBusy()}},update:function(t,i,n){if(Ext.data.Record.EDIT===n){var s=i.data.dn;e.checkCache[s].value=i.data.join}}}})},getModifiedRows:function(){return Object.keys(this.checkCache).inject([],function(e,t){var i=this.checkCache[t];return i.originalValue!==i.value&&e.push({dn:t,name:i.name,join:i.value}),e},this)},reset:function(){var e=this.checkCache;Object.keys(e).map(function(t){e[t].value=e[t].originalValue}),this.store.rejectChanges()}}),Ext.define("SYNO.SDS.ADServer.Utils.SelectAllRowSelectionModel",{extend:"Ext.grid.RowSelectionModel",constructor:function(e){this.callParent([e]),this.pageSelections=new Ext.util.MixedCollection(!1,function(e){return e.id})},onRefresh:function(){var e,t,i=this.grid.store,n=this.getSelections(),s=0,r=n.length;for(this.silent=this.silentMode&&!0,this.clearSelections(!0);s<r;s++)t=n[s],-1!=(e=i.indexOfId(t.id))&&this.selectRow(e,!0);n.length!=this.pageSelections.getCount()&&this.fireEvent("selectionchange",this),this.silent=!1},maskGrid:function(e){e.loadMask&&e.loadMask.show()},unmaskGrid:function(e){e.loadMask&&e.loadMask.hide()},selectAllRow:function(e){if(!this.isLocked()){var t=this.grid,i=this.grid.store,n=this.grid.store.getCount();if(this.maskGrid(t),this.selections.clear(),n.times(function(e){this.selectRow(e,!0)},this),i.getTotalCount()===i.getCount())return void this.unmaskGrid(t);i.suspendEvents(),i.load({params:{offset:0,limit:i.getTotalCount()},callback:function(){this.pageSelections.clear(),this.pageSelections.addAll(i.data.items),i.resumeEvents(),this.unmaskGrid(t),e.callback&&e.callback.call(e.scope||this)},scope:this})}},clearSelections:function(e){if(!this.isLocked()){if(!0!==e){var t=this.grid.store,i=this.selections;i.each(function(e){this.deselectRow(t.indexOfId(e.id))},this),i.clear()}else this.selections.clear();this.last=!1}},clearAllSelections:function(e){if(!this.isLocked())if(!0!==e){var t=this.grid.store,i=this.pageSelections;i.each(function(e){this.deselectRow(t.indexOfId(e.id))},this),i.clear()}else this.pageSelections.clear()},selectRow:function(e,t,i){if(!(this.isLocked()||e<0||e>=this.grid.store.getCount()||t&&this.isSelected(e))){var n=this.grid.store.getAt(e);n&&!1!==this.fireEvent("beforerowselect",this,e,t,n)&&(t&&!this.singleSelect||(this.clearSelections(),this.clearAllSelections()),this.selections.add(n),this.pageSelections.add(n),this.last=this.lastActive=e,i||this.grid.getView().onRowSelect(e),this.silent||(this.fireEvent("rowselect",this,e,n),this.fireEvent("selectionchange",this)))}},selectRows:function(e,t){t||(this.clearSelections(),this.clearAllSelections()),Ext.each(e,function(e){this.selectRow(e,!0)},this)},selectRange:function(e,t,i){var n;if(!this.isLocked())if(i||(this.clearSelections(),this.clearAllSelections()),e<=t)for(n=e;n<=t;n++)this.selectRow(n,!0);else for(n=e;n>=t;n--)this.selectRow(n,!0)},deselectRow:function(e,t){if(!this.isLocked()){this.last==e&&(this.last=!1),this.lastActive==e&&(this.lastActive=!1);var i=this.grid.store.getAt(e);i&&(this.selections.remove(i),this.pageSelections.remove(i),t||this.grid.getView().onRowDeselect(e),this.fireEvent("rowdeselect",this,e,i),this.fireEvent("selectionchange",this))}},getSelections:function(){return[].concat(this.pageSelections.items)}}),Ext.define("SYNO.SDS.ADServer.Utils.OuTreeCache",{constructor:function(e){var t=Ext.apply({cache:{}},e);Ext.apply(this,t)},load:function(e,t){this.reload("",e,t,!0)},reload:function(e,t,i,n){if(Ext.isString(e)){var s=function(t){var i=this.parseTree(t);if(Ext.isEmpty(e))return this.cache=i,this.cache;var n=this.getNode(e,i);return void 0!==n&&this.modifyNode(e,function(e,t){e[t]=n})?n:void 0};this.appWin.setStatusBusy({text:_T("common","loading")}),this.appWin.sendWebAPI({api:"SYNO.ActiveDirectory.Directory",method:"list",params:{type:["ou"],sort:"name",ou:!0===n?"":e,scope:"default",offset:0,limit:-1},version:2,scope:this,callback:function(r,o,a){if(this.appWin.clearStatusBusy(),r){var l=o.objects.map(function(e){return e.dn}),d=!0===n?(this.cache=this.parseTree(l),this.getNode(e)):s.bind(this)(l);void 0!==d?Ext.isFunction(t)&&t(d,o.objects):(Ext.isFunction(i)&&i(),this.appWin.setStatusError())}else Ext.isFunction(i)&&i(),this.appWin.setStatusError()}})}},getNode:function(e,t){var i=SYNO.SDS.ADServer.Utils.splitDn(e).reverse();if(!Ext.isEmpty(i))return i.inject(t||this.cache,function(e,t){return Ext.isDefined(e)?Ext.value(e[t],void 0):void 0})},modifyNode:function(e,t,i){var n=i||this.cache,s=SYNO.SDS.ADServer.Utils.splitDn(e),r=s.shift(),o=s.join(","),a=this.getNode(o,n);return void 0!==a&&!1!==t(a,r)},isOuExist:function(e){return void 0!==this.getNode(e)},addOu:function(e){if(!this.isOuExist(e)){var t=SYNO.SDS.ADServer.Utils.splitDn(e),i=this.createTree(t);return this.cache=this.mergeTree(this.cache,i),!0}return!1},removeOu:function(e){return!!this.isOuExist(e)&&this.modifyNode(e,function(e,t){delete e[t]})},checkMove:function(e,t){var i=SYNO.SDS.ADServer.Utils.EscapeRegExp,n=SYNO.SDS.ADServer.Utils.splitDn(e).first();return this.isOuExist(e)&&this.isOuExist(t)&&!this.isOuExist(n+","+t)&&!new RegExp(i(e)+"$","i").test(t)},moveOu:function(e,t){var i=SYNO.SDS.ADServer.Utils.splitDn(e).shift(),n=this.getNode(e);this.getNode(t)[i]=n,this.removeOu(e)},isEmptyObject:function(e){for(var t in e)return!1;return!0},parseTree:function(e){return e.map(SYNO.SDS.ADServer.Utils.splitDn,this).map(this.createTree).inject({},this.mergeTree,this)},createTree:function(e){return e.inject({},function(e,t){var i={};return i[t]=e,i})},mergeTree:function(e,t){if(!Ext.isDefined(e)||this.isEmptyObject(e))return t;if(!Ext.isDefined(t)||this.isEmptyObject(t))return e;var i=Ext.apply({},e);return Object.keys(t).inject(i,function(e,i){return Ext.isDefined(e[i])?e[i]=this.mergeTree(e[i],t[i]):e[i]=t[i],e},this)}}),Ext.namespace("SYNO.SDS.ADServer.UserCreateWizard"),Ext.define("SYNO.SDS.ADServer.UserCreateWizard.ModelWindow",{extend:"SYNO.SDS.Wizard.ModalWindow",constructor:function(e){this.owner=e.owner,this.module=e.module,this.netbios=e.netbios||"",this.baseDn=e.baseDn,this.locatedDn=e.locatedDn,this.applyCallback=e.callback||Ext.emptyFn,this.configPanel=new SYNO.SDS.ADServer.UserCreateWizard.ConfigPanel({owner:this,module:this.module,netbios:this.netbios,itemId:"account",disableNextInDemoMode:!0,nextId:"group"}),this.groupPanel=new SYNO.SDS.ADServer.Utils.GroupJoinGrid({owner:this,module:this.module,headline:SYNO.SDS.ADServer.Utils._S("user","user_join_group_headline","Join Groups"),description:SYNO.SDS.ADServer.Utils._S("user","user_join_group_desc","Please select groups"),itemId:"group",disableNextInDemoMode:!0,nextId:"summary"}),this.summaryPanel=new SYNO.SDS.ADServer.UserCreateWizard.SummaryPanel({owner:this,module:this.module,netbios:this.netbios,itemId:"summary",disableNextInDemoMode:!0,nextId:null,getNext:function(){return this.owner.onApply(),!1}});var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("user","user_create_title","User Create Wizard"),width:650,height:550,activeStep:"account",steps:[this.configPanel,this.groupPanel,this.summaryPanel],listeners:{afterrender:{scope:this,fn:this.getPasswordPolicy}}},e);this.callParent([t])},onApply:function(){var e=this.summaryPanel.data,t={logon_name:e.logon_name,password:e.password,located_dn:this.locatedDn,change_password_next_logon:e.change_password_next_logon,cannot_change_password:e.cannot_change_password,password_never_expire:e.password_never_expire,account_is_disabled:e.account_is_disabled};Ext.isEmpty(e.description)||(t.description=e.description),Ext.isEmpty(e.email)||(t.email=e.email);var i=function(){this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"create",version:1,params:t,scope:this,callback:function(e,i){e?(t.name=i.name,t.dn=i.dn,n.call(this,i.dn)):(this.clearStatusBusy(),SYNO.SDS.ADServer.Utils.Error(this,i.code,function(){this.applyCallback(!1)},this))}})},n=function(i){var n=this,s=e.group.map(function(e){return{api:"SYNO.ActiveDirectory.Group.Member",method:"add",version:1,params:{dn:e,members:[i]}}});s&&0<s.length?this.sendWebAPI({compound:{mode:"sequential",stopwhenerror:!0,params:s},callback:function(e,i){n.clearStatusBusy(),e&&!1===i.has_fail?n.close():n.setStatusError(),n.applyCallback(!0,t)}}):(this.clearStatusBusy(),this.close(),this.applyCallback(!0,t))};this.setStatusBusy({text:_T("common","saving")}),i.call(this)},getPasswordPolicy:function(){this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.GPO",method:"get",version:1,params:{dns:[this.baseDn]},scope:this,callback:function(e,t,i){e&&(this.gpo=t[0]||{}),this.gpo=this.gpo||{},this.clearStatusBusy()}})}}),Ext.define("SYNO.SDS.ADServer.UserCreateWizard.ConfigPanel",{extend:"SYNO.SDS.Utils.FormPanel",FIELD_WIDTH:300,constructor:function(e){this.netbios=e.netbios;var t=Ext.apply({headline:SYNO.SDS.ADServer.Utils._S("user","user_create_headline","User Information"),description:SYNO.SDS.ADServer.Utils._S("user","user_create_info","Fill in the following fields"),isWizardMode:!0,items:this.createFormItems(e.owner)},e);this.callParent([t])},createFormItems:function(e){return[{xtype:"syno_compositefield",fieldLabel:SYNO.SDS.ADServer.Utils._S("user","user_logon_name","User logon name")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,items:[{xtype:"syno_textfield",readOnly:!0,disabled:!0,name:"domain",value:this.netbios+"\\",width:this.FIELD_WIDTH/2-5},{xtype:"syno_textfield",name:"logon_name",vtype:"username",maxLength:104,allowBlank:!1,width:this.FIELD_WIDTH/2,validationEvent:"keyup"}]},{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("common","description","Description"),width:this.FIELD_WIDTH,name:"description"},{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("common","email","E-mail"),name:"email",width:this.FIELD_WIDTH,vtype:"email"},{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("lcm","lcm_password","Password")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,textType:"password",name:"password",width:this.FIELD_WIDTH,maxLength:127,allowBlank:!1,validateOnBlur:!1,validationEvent:"keyup",validator:function(t){var i=7,n=!0;return Ext.isNumber(e.gpo.MinimumPasswordLength)&&(i=e.gpo.MinimumPasswordLength),Ext.isDefined(e.gpo.PasswordComplexity)&&(n=e.gpo.PasswordComplexity),t.length<i?String.format(SYNO.SDS.ADServer.Utils._S("common","alert_password_length"),i):!(n&&!SYNO.SDS.ADServer.Utils.CmplxCheck(t))||SYNO.SDS.ADServer.Utils._S("common","alert_password_cmplx")}},{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("lcm","lcm_password_confirm","Confirm password")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,textType:"password_confirm",width:this.FIELD_WIDTH,confirmFor:"password",validateOnBlur:!1,validationEvent:"keyup"},{xtype:"syno_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_must_chng_password","User must change password at next logon"),name:"change_password_next_logon",checked:!0,listeners:{scope:this,check:function(e,t){var i=this.getForm().findField("cannot_change_password"),n=this.getForm().findField("password_never_expire");i.setDisabled(t),n.setDisabled(t)}}},{xtype:"syno_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_cant_chng_password","User cannot change password"),name:"cannot_change_password",disabled:!0,listeners:{scope:this,check:function(e,t){var i=this.getForm().findField("change_password_next_logon"),n=this.getForm().findField("password_never_expire");i.setDisabled(t||n.getValue())}}},{xtype:"syno_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_password_never_expire","Password never expires"),name:"password_never_expire",disabled:!0,listeners:{scope:this,check:function(e,t){var i=this.getForm().findField("change_password_next_logon"),n=this.getForm().findField("cannot_change_password");i.setDisabled(t||n.getValue())}}
},{xtype:"syno_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_disable_account","Disable account"),name:"account_is_disabled"}]},getNext:function(){return!!this.getForm().isValid()&&(this.owner.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"conflict",params:{name:this.getForm().findField("logon_name").getValue()},version:1,scope:this,callback:function(e,t){return this.owner.clearStatusBusy(),e?t.isConflict?void SYNO.SDS.ADServer.Utils.Error(this.owner,10606):void this.owner.goNext(this.nextId):void SYNO.SDS.ADServer.Utils.Error(this.owner,t.code)}}),!1)}}),Ext.define("SYNO.SDS.ADServer.UserCreateWizard.SummaryPanel",{extend:"SYNO.SDS.Wizard.SummaryStep",constructor:function(e){this.netbios=e.netbios,this.callParent(arguments)},activate:function(){this.createSummary()},createSummary:function(){var e=this.store,t=this.owner.configPanel.getForm().getValues(),i=this.owner.groupPanel.getModifiedRows(),n=i.map(function(e){return e.name}),s=i.map(function(e){return e.dn});this.data={logon_name:t.logon_name,password:t.password,description:t.description,email:t.email,group:s,change_password_next_logon:t.change_password_next_logon,cannot_change_password:t.cannot_change_password,password_never_expire:t.password_never_expire,account_is_disabled:t.account_is_disabled};var r=function(e){return e?_T("common","yes"):_T("common","no")};e.removeAll(!0),e.append(SYNO.SDS.ADServer.Utils._S("user","user_logon_name","User logon name"),this.netbios+"\\"+t.logon_name),e.append(SYNO.SDS.ADServer.Utils._S("common","description","Description"),t.description),e.append(SYNO.SDS.ADServer.Utils._S("common","email","E-mail"),t.email),e.append(SYNO.SDS.ADServer.Utils._S("user","user_primary_group","Primary Group"),this.owner.groupPanel.primaryGroup.name),e.append(SYNO.SDS.ADServer.Utils._S("common","group","Group"),n),e.append(SYNO.SDS.ADServer.Utils._S("user","user_must_chng_password","User must change password at next logon"),r(t.change_password_next_logon)),e.append(SYNO.SDS.ADServer.Utils._S("user","user_cant_chng_password","User cannot change password"),r(t.cannot_change_password)),e.append(SYNO.SDS.ADServer.Utils._S("user","user_password_never_expire","Password never expires"),r(t.password_never_expire)),e.append(SYNO.SDS.ADServer.Utils._S("user","user_disable_account","Account is disabled"),r(t.account_is_disabled))}}),Ext.namespace("SYNO.SDS.ADServer.GroupCreateWizard"),Ext.define("SYNO.SDS.ADServer.GroupCreateWizard.ModelWindow",{extend:"SYNO.SDS.Wizard.ModalWindow",constructor:function(e){this.owner=e.owner,this.module=e.module,this.netbios=e.netbios||"",this.applyCallback=e.callback||Ext.emptyFn,this.locatedDn=e.locatedDn,this.configPanel=new SYNO.SDS.ADServer.GroupCreateWizard.ConfigPanel({owner:this,module:this.module,itemId:"config",netbios:this.netbios,disableNextInDemoMode:!0,nextId:"summary"}),this.summaryPanel=new SYNO.SDS.ADServer.GroupCreateWizard.SummaryPanel({owner:this,module:this.module,itemId:"summary",netbios:this.netbios,disableNextInDemoMode:!0,nextId:null,getNext:function(){return this.owner.onApply(),!1}});var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("group","group_create_title"),width:650,height:550,activeStep:"config",steps:[this.configPanel,this.summaryPanel]},e);this.callParent([t])},onApply:function(){var e=this.summaryPanel.data,t={name:e.name,description:e.description,email:e.email,scope:e.scope,type:e.type,located_dn:this.locatedDn};this.setStatusBusy({text:_T("common","saving")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Group",method:"create",version:1,params:t,scope:this,callback:function(e,i){if(!e)return this.clearStatusBusy(),void SYNO.SDS.ADServer.Utils.Error(this,i.code,function(){this.applyCallback(e)},this);t.name=i.name,t.dn=i.dn,this.clearStatusBusy(),this.close(),this.applyCallback(e,t)}})}}),Ext.define("SYNO.SDS.ADServer.GroupCreateWizard.ConfigPanel",{extend:"SYNO.SDS.Utils.FormPanel",FIELD_WIDTH:300,constructor:function(e){this.netbios=e.netbios;var t=Ext.apply({headline:SYNO.SDS.ADServer.Utils._S("group","group_create_headline"),description:SYNO.SDS.ADServer.Utils._S("group","group_create_desc"),isWizardMode:!0,items:this.createFormItems()},e);this.callParent([t])},createFormItems:function(){var e=SYNO.SDS.ADServer.Utils._S;return[{xtype:"syno_compositefield",fieldLabel:e("group","group_name")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,items:[{xtype:"syno_textfield",name:"domain",value:this.netbios+"\\",width:this.FIELD_WIDTH/2-5,disabled:!0},{xtype:"syno_textfield",vtype:"groupname",name:"name",width:this.FIELD_WIDTH/2,maxLength:64,allowBlank:!1}]},{xtype:"syno_textfield",name:"description",width:this.FIELD_WIDTH,fieldLabel:e("common","description")},{xtype:"syno_textfield",name:"email",width:this.FIELD_WIDTH,fieldLabel:e("common","email"),vtype:"email"},{xtype:"syno_displayfield",value:e("group","group_scope")},{xtype:"syno_radio",name:"scope",value:"local",boxLabel:e("group","group_scope_domain_local")},{xtype:"syno_radio",name:"scope",value:"global",boxLabel:e("group","group_scope_global"),checked:!0},{xtype:"syno_radio",name:"scope",value:"universal",boxLabel:e("group","group_scope_universal")},{xtype:"syno_displayfield",value:e("group","group_type")},{xtype:"syno_radio",name:"type",value:"security",boxLabel:e("group","group_type_security"),checked:!0},{xtype:"syno_radio",name:"type",value:"distribution",boxLabel:e("group","group_type_distribution")}]},getNext:function(){return!!this.getForm().isValid()&&(this.owner.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Group",method:"conflict",params:{name:this.getForm().findField("name").getValue()},version:1,scope:this,callback:function(e,t){return this.owner.clearStatusBusy(),e?t.isConflict?void SYNO.SDS.ADServer.Utils.Error(this.owner,10706):void this.owner.goNext(this.nextId):void SYNO.SDS.ADServer.Utils.Error(this.owner,t.code)}}),!1)}}),Ext.define("SYNO.SDS.ADServer.GroupCreateWizard.SummaryPanel",{extend:"SYNO.SDS.Wizard.SummaryStep",constructor:function(e){this.netbios=e.netbios,this.callParent(arguments)},activate:function(){this.createSummary()},createSummary:function(){var e=SYNO.SDS.ADServer.Utils._S,t=this.store,i=this.owner.configPanel.getForm().getValues();this.data={name:i.name,description:i.description,email:i.email,scope:i.scope,type:i.type},t.removeAll(!0),t.append(e("common","group"),this.netbios+"\\"+i.name),t.append(e("common","description"),i.description),t.append(e("common","email"),i.email),t.append(e("group","group_scope"),e("group","group_scope_"+("local"===i.scope?"domain_":"")+i.scope)),t.append(e("group","group_type"),e("group","group_type_"+i.type))}}),Ext.define("SYNO.SDS.ADServer.OUCreateWindow",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner,this.dn=e.dn||"",this.addSuccess=e.addSuccess||Prototype.emptyFunction,this.scope=e.scope||this.addSucess;var t=Ext.apply({width:450,height:180,minWidth:500,minHeight:150,layout:"fit",items:[this.configMainPanel()],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t])},configMainPanel:function(){var e={labelWidth:75,labelAlign:"top",trackResetOnLoad:!0,waitMsgTarget:!0,border:!1,itemId:"mainPanel",items:[{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("ou","ou_input_alert","Please input OU name"),name:"name",allowBlank:!1,width:400,maxlength:64,validator:function(e){var t=e.trim();return this.setRawValue(t),0!==t.length}}]};return new SYNO.ux.FormPanel(e)},onApply:function(){var e=this.getComponent("mainPanel").getForm(),t=e.findField("name");if(t.isValid()){var i=t.getValue().replace(/^\s+/g,"").replace(/\s+$/g,"");this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Directory",method:"create_ou",params:{name:i,dn:this.dn},version:1,scope:this,callback:function(e,t,n){this.clearStatusBusy(),e&&t.dn?(this.addSuccess.call(this.scope,i,t.dn),this.close()):this.setStatusError({text:SYNO.SDS.ADServer.Utils.errMap[t.code],clear:!0})}})}}}),Ext.namespace("SYNO.SDS.ADServer.Utils"),Ext.define("SYNO.SDS.ADServer.Utils.ScheduleWindow",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner,this.dns=e.dns,this.panel=new SYNO.SDS.ADServer.Utils.SchedulePanel({timezone:(new Date).getTimezoneOffset()/60*-1});var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("user","user_logon_hours","Logon Hours"),width:678,height:370,minWidth:678,minHeight:370,padding:"0 20px 0 20px",layout:"fit",items:[this.panel],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t]),this.loadSchedule(this.dns)},loadSchedule:function(e){if(e.length>1)return void this.panel.setSchedule(this.panel.getSchedule());this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"get",params:{dns:e},version:1,scope:this,callback:function(e,t,i){if(this.clearStatusBusy(),e){var n=t.users[0].logon_hours[0];if(Ext.isEmpty(n))this.panel.setSchedule(this.panel.getSchedule());else{var s=this.baseToBinary(n);this.panel.setSchedule(s)}}else this.setStatusError()}})},onApply:function(){var e=this.binaryToBase(this.panel.getSchedule()),t=this.dns.map(function(t){return{dn:t,logon_hours:e}});this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"set",params:{users:t},version:1,scope:this,callback:function(e,t,i){this.clearStatusBusy(),e?this.close():this.setStatusError()}})},baseToBinary:function(e){return atob(e).toArray().map(function(e){return e.charCodeAt(0)}).map(function(e){return e.toPaddedString(8,2)}).map(function(e){return e.toArray().reverse().join("")}).join("")},binaryToBase:function(e){var t=e.toArray(),i=t.eachSlice(8),n=i.map(function(e){return e.reverse().join("")}),s=n.map(function(e){return parseInt(e,2)}),r=s.map(function(e){return String.fromCharCode(e)});return btoa(r.join(""))}}),Ext.define("SYNO.SDS.ADServer.Utils.SchedulePanel",{extend:"Ext.Panel",CLASS_LIST:["syno-sds-ads-schedule-td-no-download","syno-sds-ads-schedule-td-full-speed","syno-sds-ads-schedule-td-alt-speed"],DAY_STRING_SHORT:[_T("schedule","dayabbre_sun"),_T("schedule","dayabbre_mon"),_T("schedule","dayabbre_tue"),_T("schedule","dayabbre_wed"),_T("schedule","dayabbre_thu"),_T("schedule","dayabbre_fri"),_T("schedule","dayabbre_sat")],constructor:function(e){this.timezone=e.timezone||0,this.currentSpeed="0",this.currentSchedule=[];for(var t=0;t<168;t++)this.currentSchedule[t]="1";var i=Ext.apply({cls:"syno-dl-schedule-panel",border:!1,width:"100%",layout:"anchor",autoFlexcroll:!0,items:this.getItemConfig(e)},e);this.callParent([i])},initComponent:function(){this.callParent(arguments),this.addEvents("beforecellchange")},getItemConfig:function(e){return this.upperPanel=this.getUpperPanelConfig(e),this.dataView=this.createDataView(),[this.upperPanel,this.dataView]},getSpeed:function(){return this.currentSpeed},selectRecords:function(e,t){for(var i=this.getSpeed(),n=0,s=t.length;n<s;n++)t[n].selected&&this.setClassToNodeByIndex(n,i);e.clearSelections()},getUpperPanelConfig:function(e){for(var t=[{label:SYNO.SDS.ADServer.Utils._S("app_privilege","deny_privilege","Deny")},{label:SYNO.SDS.ADServer.Utils._S("app_privilege","allow_privilege","Allow")}],i=[],n=0;n<2;n++)i=i.concat(this.getSingleBtnConfig(t[n]||{},n));return{xtype:"syno_fieldset",items:[{xtype:"syno_compositefield",cls:"syno-sds-ads-schedule-btn-compositefield",hideLabel:!0,items:i}]}},getSingleBtnConfig:function(e,t){return[{xtype:"button",itemId:t.toString(),pressed:0===t,cls:"syno-sds-ads-schedule-btn",iconCls:this.getBtnIconCls(t),scope:e.scope||this,handler:e.handler||this.onSpeedButtonClick,hidden:e.hidden||Ext.isEmpty(e.label),disabled:e.disabled||!1,text:" "},{xtype:"syno_displayfield",hidden:e.hidden||Ext.isEmpty(e.label),value:e.label}]},getBtnIconCls:function(e){var t="syno-sds-ads-schedule-btn-";switch(e){case 0:t+="no-download";break;case 1:t+="full-speed";break;case 2:t+="alt-speed"}return t},createDataView:function(){return new Ext.DataView({store:this.DAY_STRING_SHORT,multiSelect:!0,itemSelector:"td.syno-sds-ads-schedule-td",tpl:this.createTemplate(),plugins:[new SYNO.SDS.ADServer.Utils.ScheduleSelector],listeners:{scope:this,click:function(e,t,i,n){var s=this.getSpeed();this.setClassToNodeByIndex(t,s),e.deselect(i)},afterrender:function(e){e.days=new Ext.CompositeElementLite,e.hours=new Ext.CompositeElementLite,e.selectAll=new Ext.CompositeElementLite,e.days.fill(Ext.query("td.syno-sds-ads-schedule-day-td",e.el.dom)),e.hours.fill(Ext.query("td.syno-sds-ads-schedule-hour-td",e.el.dom)),e.selectAll.fill(Ext.query("td.syno-sds-ads-schedule-select-all-td",e.el.dom)),Ext.each(e.days.elements,function(e,t,i){var n=Ext.fly(e);this.mon(n,"click",this.onDayClick,this,{index:t}),this.mon(n,"mouseenter",this.onDayMouseEnter,this,{index:t}),this.mon(n,"mouseleave",this.onDayMouseLeave,this,{index:t})},this),Ext.each(e.hours.elements,function(e,t,i){var n=Ext.fly(e);this.mon(n,"click",this.onHourClick,this,{index:t}),this.mon(n,"mouseenter",this.onHourMouseEnter,this,{index:t}),this.mon(n,"mouseleave",this.onHourMouseLeave,this,{index:t})},this),Ext.each(e.selectAll.elements,function(e,t,i){var n=Ext.fly(e);this.mon(n,"click",this.onSelectAllClick,this),this.mon(n,"mouseenter",this.onSelectAllMouseEnter,this),this.mon(n,"mouseleave",this.onSelectAllMouseLeave,this)},this)},beforedestroy:function(e){e.days.clear(),e.hours.clear(),e.selectAll.clear()}}})},createTemplate:function(){var e=[];e.push("<tr>"),e.push('<td class="syno-sds-ads-schedule-select-all-td"></td>');for(var t=0;t<24;t++)e.push(String.format('<td class="syno-sds-ads-schedule-hour-td">{0}</td>',t));e.push("</tr>");var i=e.join("\n");e=[];for(e.push('<tr class="syno-sds-ads-schedule-tr">'),e.push('<td class="syno-sds-ads-schedule-day-td">{field1}</td>'),t=0;t<24;t++)e.push('<td class="syno-sds-ads-schedule-td"></td>');e.push("</tr>");var n=e.join("\n");return new Ext.XTemplate('<table class="syno-sds-ads-schedule-table">',i,'<tpl for=".">',n,"</tpl>","<table>")},onSpeedButtonClick:function(e,t){if(!e.pressed){e.ownerCt.get(this.getSpeed()).toggle(!1),e.toggle(!0),this.currentSpeed=e.itemId}},getIndexesByDay:function(e){for(var t=[],i=24*e,n=0;n<24;n++)t.push(i+n);return t},onDayClick:function(e,t,i){var n=this.getSpeed();i&&Ext.isNumber(i.index)&&Ext.each(this.getIndexesByDay(i.index),function(e,t,i){this.setClassToNodeByIndex(e,n)},this)},onDayMouseEnter:function(e,t,i){i&&Ext.isNumber(i.index)&&(Ext.fly(t).addClass("syno-sds-ads-schedule-day-td-over"),this.dataView.select(this.getIndexesByDay(i.index)))},onDayMouseLeave:function(e,t,i){Ext.fly(t).removeClass("syno-sds-ads-schedule-day-td-over"),this.dataView.clearSelections()},getIndexesByHour:function(e){for(var t=[],i=0;i<7;i++)t.push(e+24*i);return t},onHourClick:function(e,t,i){var n=this.getSpeed();i&&Ext.isNumber(i.index)&&Ext.each(this.getIndexesByHour(i.index),function(e,t,i){this.setClassToNodeByIndex(e,n)},this)},onHourMouseEnter:function(e,t,i){i&&Ext.isNumber(i.index)&&(Ext.fly(t).addClass("syno-sds-ads-schedule-hour-td-over"),this.dataView.select(this.getIndexesByHour(i.index)))},onHourMouseLeave:function(e,t,i){Ext.fly(t).removeClass("syno-sds-ads-schedule-hour-td-over"),this.dataView.clearSelections()},onSelectAllClick:function(e,t,i){for(var n=[],s=this.getSpeed(),r=0;r<168;r++)n.push(r);Ext.each(n,function(e,t,i){this.setClassToNodeByIndex(e,s)},this)},onSelectAllMouseEnter:function(e,t,i){Ext.fly(t).addClass("syno-sds-ads-schedule-select-all-td-over")},onSelectAllMouseLeave:function(e,t,i){Ext.fly(t).removeClass("syno-sds-ads-schedule-select-all-td-over")},setClassToNodeByIndex:function(e,t){var i=Ext.fly(this.dataView.getNode(e));!1!==this.fireEvent("beforecellchange",this,e,t,this.currentSchedule[e])&&(i.removeClass(this.CLASS_LIST),i.addClass(this.CLASS_LIST[t]),this.currentSchedule[e]=t)},getSchedule:function(){var e=this.currentSchedule.join("");return this.stringShift(e,this.timezone)},setSchedule:function(e){var t=this.stringShift(e,-this.timezone).split("");t.length===this.dataView.getNodes().length&&Ext.each(t,function(e,t,i){this.setClassToNodeByIndex(t,e)},this)},stringShift:function(e,t){if(0===t)return e;if(t>0)return e.substr(t)+e.substr(0,t);var i=e.length+t;return e.substr(i)+e.substr(0,i)}}),SYNO.SDS.ADServer.Utils.ScheduleSelector=function(e){function t(){h=[],l.all.each(function(e){h.push(e.getRegion())}),u=l.el.getRegion()}function i(){return!1}function n(e){return!p||e.target==l.el.dom}function s(e){l.on("containerclick",i,l,{single:!0}),d?d.dom.parentNode!==l.el.dom&&l.el.dom.appendChild(d.dom):(d=l.el.createChild({cls:"x-view-selector"}),d.setDisplayed(!1)),t(),l.clearSelections()}function r(e){var t=c.startXY,i=c.getXY(),n=Math.min(t[0],i[0]),s=Math.min(t[1],i[1]),r=Math.abs(t[0]-i[0]),o=Math.abs(t[1]-i[1]);S.left=n,S.top=s,S.right=n+r,S.bottom=s+o,S.constrainTo(u),d.setRegion(S);for(var a=0;a<h.length;a++){var p=h[a],m=S.intersect(p);m&&!p.selected?(p.selected=!0,l.select(a,!0)):!m&&p.selected&&(p.selected=!1,l.deselect(a))}}function o(e){Ext.isIE||l.un("containerclick",i,l),d&&d.setDisplayed(!1),l.ownerCt&&l.ownerCt.selectRecords&&l.ownerCt.selectRecords(l,h)}function a(e){c=new Ext.dd.DragTracker({onBeforeStart:n,onStart:s,onDrag:r,onEnd:o}),c.initEl(e.el)}e=e||{};var l,d,c,h,u,S=new Ext.lib.Region(0,0,0,0),p=!0===e.dragSafe;this.init=function(e){l=e,l.on("render",a)}},Ext.namespace("SYNO.SDS.ADServer.Utils"),Ext.define("SYNO.SDS.ADServer.Utils.ListEditor",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner,this.store=this.createStore(),this.panel=this.createPanel(e),this.delBtn=this.panel.getTopToolbar().getComponent("delBtn"),this.curRow=0;var t=Ext.apply({title:e.title,width:400,height:450,minWidth:400,minHeight:450,layout:"fit",items:[this.panel],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t])},createStore:function(){return new Ext.data.ArrayStore({fields:["value"],idIndex:0,data:[["value1"],["value2"],["value3"]]})},createPanel:function(e){return new SYNO.ux.EditorGridPanel({height:300,itemId:"gridPanel",cls:"without-dirty-red-grid",tbar:{items:[{xtype:"syno_button",itemId:"addBtn",text:_T("common","create"),scope:this,handler:this.addRecord},{xtype:"syno_button",itemId:"delBtn",text:_T("common","delete"),scope:this,handler:this.delRecord}]},columns:[{dataIndex:"value",header:SYNO.SDS.ADServer.Utils._S("status","header_value","Values"),width:130,align:"left",editor:new SYNO.ux.TextField({validator:function(t){return e.maxLength&&t.length>e.maxLength&&(t=t.substr(0,e.maxLength)),this.setRawValue(t),!0}}),renderer:function(e,t){return e=Ext.util.Format.htmlEncode(e),t.attr=String.format('ext:qtip="{0}";',Ext.util.Format.htmlEncode(e)),e}}],selModel:new Ext.grid.RowSelectionModel({singleSelect:!1}),viewConfig:{forceFit:!0},enableHdMenu:!1,enableColumnMove:!1,enableColLock:!1,clicksToEdit:1,store:this.store,listeners:{beforeedit:{scope:this,fn:function(e){e.grid.getSelectionModel().hasSelection()?(this.curRow=e.row,this.delBtn.enable()):this.delBtn.disable()}},validateedit:{scope:this,fn:function(e){return!(void 0!==this.store.collect(e.field,!1).find(function(t){return t===e.value})&&(Ext.isEmpty(e.originalValue)&&this.store.remove(e.record),1))}}}})},addRecord:function(){var e=this.panel.getStore(),t=e.getCount(),i=this.panel.getSelectionModel(),n="";0<t&&(n=e.getAt(t-1).get("value")),this.panel.stopEditing(),0!==t&&Ext.isEmpty(n)?t-=1:e.insert(t,new e.recordType({value:""})),i.selectRow(t),this.panel.startEditing(t,0)},delRecord:function(){var e=this.panel.getStore(),t=this.panel.getSelectionModel(),i=t.getSelected(),n=0;if(i){if(this.panel.stopEditing(),e.remove(i),!(n=e.getCount()))return void this.delBtn.disable();this.curRow>=n&&(this.curRow=n-1),t.selectRow(this.curRow)}},onApply:function(){this.close()}}),Ext.define("SYNO.SDS.ADServer.Utils.PhoneEditor",{extend:"SYNO.SDS.ADServer.Utils.ListEditor",constructor:function(e){this.dn=e.dn,this.originalValues=[],this.callParent([e]),this.onLoad()},onLoad:function(){this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"get",params:{dns:[this.dn]},version:1,scope:this,callback:function(e,t,i){this.clearStatusBusy(),e?t&&t.users&&t.users[0]&&t.users[0].other_telephone&&(this.originalValues=t.users[0].other_telephone,this.store.loadData(this.originalValues.map(function(e){return[e]}))):this.setStatusError()}})},createStore:function(){return new Ext.data.ArrayStore({fields:["value"],idIndex:0,data:[]})},onApply:function(){var e=this.store.collect("value",!1);if(function(e,t){return e.length===t.length&&e.every(function(e,i){return e===t[i]})}(this.originalValues,e))return void this.close();this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"set",params:{users:[{dn:this.dn,other_telephone:e}]},version:1,scope:this,callback:function(e,t,i){this.clearStatusBusy(),e?this.close():this.setStatusError()}})}}),Ext.define("SYNO.SDS.ADServer.Utils.UrlEditor",{extend:"SYNO.SDS.ADServer.Utils.ListEditor",constructor:function(e){this.dn=e.dn,this.originalValues=[],this.callParent([e]),this.onLoad()},onLoad:function(){this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"get",params:{dns:[this.dn]},version:1,scope:this,callback:function(e,t,i){this.clearStatusBusy(),e?t&&t.users&&t.users[0]&&t.users[0].other_web&&(this.originalValues=t.users[0].other_web,this.store.loadData(this.originalValues.map(function(e){return[e]}))):this.setStatusError()}})},createStore:function(){return new Ext.data.ArrayStore({fields:["value"],idIndex:0,data:[]})},onApply:function(){var e=this.store.collect("value",!1);if(function(e,t){return e.length===t.length&&e.every(function(e,i){return e===t[i]})}(this.originalValues,e))return void this.close();this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"set",params:{users:[{dn:this.dn,other_web:e}]},version:1,scope:this,callback:function(e,t,i){this.clearStatusBusy(),e?this.close():this.setStatusError()}})}}),Ext.define("SYNO.SDS.ADServer.Utils.ComputerListEditor",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner,this.dns=e.dns,this.store=this.createStore(),this.panel=this.createPanel(),this.form=this.createForm(),this.delBtn=this.panel.getTopToolbar().getComponent("delBtn"),this.curRow=0;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("user","user_logon_to","Log On Computers"),width:550,height:450,minWidth:550,minHeight:450,layout:"fit",items:[this.form],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t]),this.addEvents("changeApplied"),this.addListener("show",function(){this.loaded||(this.getUserMachine(this.dns),this.loaded=!0)},this)},getUserMachine:function(e){this.machines=[];var t=this.form.getForm().findField("allow");if(e.length>1)return t.setValue("all"),t.originalValue="multiall",this.panel.setDisabled(!0),void this.panel.getBottomToolbar().changePage(0);this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"get",params:{dns:e},version:1,scope:this,callback:function(e,i,n){if(this.clearStatusBusy(),e){var s=i.users[0].logon_to[0];Ext.isEmpty(s)?(t.setValue("all"),t.originalValue="all",this.panel.setDisabled(!0)):(this.machines=s.split(","),t.setValue("select"),t.originalValue="select"),this.panel.getBottomToolbar().changePage(0)}else this.setStatusError()}})},createStore:function(){var e=this;return new SYNO.API.JsonStore({fields:["name","allow"],root:"objects",totalProperty:"total",api:"SYNO.ActiveDirectory.Directory",method:"list",version:1,appWindow:this,baseParams:{type:["machine"],sort:"name"},scope:this,listeners:{beforeload:{scope:this,fn:function(e){this.setStatusBusy({text:_T("common","loading")})}},load:{scope:this,fn:function(t,i){t.each(function(t){var i=void 0!==e.machines.find(function(e){return e===t.get("name")});t.set("allow",i)}),t.commitChanges(),this.clearStatusBusy()}},exception:{scope:this,fn:function(e,t,i,n,s,r){this.clearStatusBusy()}}}})},createPanel:function(){var e=new SYNO.ux.EnableColumn({header:SYNO.SDS.ADServer.Utils._S("app_privilege","allow_privilege","Allow"),dataIndex:"allow",align:"center"});return new SYNO.ux.GridPanel({height:300,itemId:"gridPanel",tbar:["->",{xtype:"syno_textfilter",iconStyle:"filter",itemId:"search",emptyText:SYNO.SDS.ADServer.Utils._S("myds","search","search"),queryParam:"substr",store:this.store,pageSize:50}],colModel:new Ext.grid.ColumnModel([{header:SYNO.SDS.ADServer.Utils._S("common","name","Name"),dataIndex:"name",width:160},e]),bbar:{xtype:"syno_paging",store:this.store,pageSize:50,displayInfo:!0},store:this.store,plugins:[e]})},createForm:function(){var e=this.panel,t={border:!1,itemId:"form",autoHeight:!0,items:[{xtype:"syno_radio",name:"allow",inputValue:"all",boxLabel:SYNO.SDS.ADServer.Utils._S("common","all_computers","All computers"),listeners:{check:function(t,i){i&&e.setDisabled(!0)}}},{xtype:"syno_radio",name:"allow",inputValue:"select",boxLabel:SYNO.SDS.ADServer.Utils._S("common","following_computers","Following computers"),listeners:{check:function(t,i){i&&e.setDisabled(!1)}}},this.panel]};return SYNO.LayoutConfig.fill(t),new SYNO.SDS.Utils.FormPanel(t)},onApply:function(){var e=this.form.getForm().findField("allow"),t=e.getGroupValue(),i=this.panel.store.getModifiedRecords();if("all"===t&&"all"===e.originalValue||"select"===t&&Ext.isEmpty(i))return void this.close();var n=[];switch(t){case"all":break;case"select":var s=[],r=[];Ext.each(i,function(e){!0===e.data.allow?s.push(e.data.name):!1===e.data.allow&&r.push(e.data.name)}),n=this.machines.concat(s).uniq().filter(function(e){return-1===r.indexOf(e)})}var o=Ext.value(n.join(","),null),a=this.dns.map(function(e){return{dn:e,logon_to:o}});this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"set",params:{users:a},version:1,scope:this,callback:function(e,t,i){this.clearStatusBusy(),e?(this.fireEvent("changeApplied"),this.close()):this.setStatusError()}})}}),Ext.define("SYNO.SDS.ADServer.UserAccountTab",{extend:"SYNO.SDS.Utils.FormPanel",FIELD_WIDTH:210,constructor:function(e){this.owner=e.owner,this.netbios=e.netbios,this.dn=e.dn;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("myds","account"),trackResetOnLoad:!0,items:this.createFormItems()},e);this.callParent([t]),this.password_group=new SYNO.ux.Utils.EnableCheckGroup(this.getForm(),"enbl_change_password",["password","retype_password"])},createFormItems:function(){var e=SYNO.SDS.ADServer.Utils._S,t=this;return[{xtype:"syno_ad_dirtycheck_textfield",name:"logon_name",vtype:"username",maxLength:104,allowBlank:!1,fieldLabel:e("user","user_logon_name"),width:this.FIELD_WIDTH},{xtype:"syno_compositefield",hideLabel:!0,items:[{xtype:"syno_button",text:e("user","user_logon_hours"),handler:this.getLogonSchedule,scope:this},{xtype:"syno_button",text:e("user","user_logon_to"),handler:this.getLogonComputer,scope:this}]},{xtype:"syno_checkbox",name:"enbl_change_password",boxLabel:e("personal_settings","change_password")},{indent:1,xtype:"syno_textfield",fieldLabel:e("myds","password_new"),textType:"password",name:"password",maxLength:127,width:this.FIELD_WIDTH,allowBlank:!1,validateOnBlur:!1,validationEvent:"keyup",validator:function(e){var i=7,n=!0;return Ext.isNumber(t.gpo.MinimumPasswordLength)&&(i=t.gpo.MinimumPasswordLength),Ext.isDefined(t.gpo.PasswordComplexity)&&(n=t.gpo.PasswordComplexity),e.length<i?String.format(SYNO.SDS.ADServer.Utils._S("common","alert_password_length"),i):!(n&&!SYNO.SDS.ADServer.Utils.CmplxCheck(e))||SYNO.SDS.ADServer.Utils._S("common","alert_password_cmplx")}},{indent:1,xtype:"syno_textfield",fieldLabel:e("myds","password_new_confirm"),textType:"password_confirm",name:"retype_password",confirmFor:"password",validateOnBlur:!1,validationEvent:"keyup",width:this.FIELD_WIDTH,maxLength:127},{xtype:"syno_checkbox",name:"account_is_locked_out",boxLabel:e("user","user_account_locked")},{xtype:"syno_checkbox",name:"change_password_next_logon",boxLabel:e("user","user_must_chng_password"),listeners:{scope:this,check:function(e,t){var i=this.getForm().findField("cannot_change_password"),n=this.getForm().findField("password_never_expire");i.setDisabled(t),n.setDisabled(t)}}},{xtype:"syno_checkbox",name:"cannot_change_password",boxLabel:e("user","user_cant_chng_password"),listeners:{scope:this,check:function(e,t){var i=this.getForm().findField("change_password_next_logon"),n=this.getForm().findField("password_never_expire");i.setDisabled(t||n.getValue())}}},{xtype:"syno_checkbox",name:"password_never_expire",boxLabel:e("user","user_password_never_expire"),listeners:{scope:this,check:function(e,t){var i=this.getForm().findField("change_password_next_logon"),n=this.getForm().findField("cannot_change_password");i.setDisabled(t||n.getValue())}}},{xtype:"syno_checkbox",name:"password_use_reversible_encryption",boxLabel:e("gpo","password_enbl_plain")},{xtype:"syno_checkbox",name:"account_is_disabled",boxLabel:e("user","user_disable_account")},{xtype:"syno_checkbox",name:"smart_card",boxLabel:e("user","user_smart_card_required")},{xtype:"syno_checkbox",name:"cannot_be_delegated",boxLabel:e("user","user_cant_be_delegated")},{xtype:"syno_checkbox",name:"use_des_encryption",boxLabel:e("user","user_des_encrypt")},{xtype:"syno_checkbox",name:"not_require_kerberos_preauth",boxLabel:e("user","user_dont_require_kbrs")},{xtype:"syno_displayfield",value:e("user","user_expires_time")},{xtype:"syno_radio",name:"account_expire",inputValue:"never",boxLabel:e("user","user_expires_never"),listeners:{check:function(e,i){i&&t.getForm().findField("account_expire_date").setDisabled(!0)}}},{xtype:"syno_compositefield",hideLabel:!0,items:[{xtype:"syno_radio",name:"account_expire",inputValue:"enable",boxLabel:e("user","user_expires_end_of"),listeners:{check:function(e,i){i&&t.getForm().findField("account_expire_date").setDisabled(!1)}}},{xtype:"syno_displayfield",width:5},{xtype:"syno_datefield",name:"account_expire_date",width:240,allowBlank:!1,editable:!1,maxValue:new Date(2037,12,31),minValue:new Date(2005,1,1)}]}]},getLogonSchedule:function(){new SYNO.SDS.ADServer.Utils.ScheduleWindow({owner:this.owner,dns:[this.dn]}).open()},getLogonComputer:function(){new SYNO.SDS.ADServer.Utils.ComputerListEditor({owner:this.owner,dns:[this.dn]}).open()},reset:function(){this.getForm().reset()}}),Ext.define("SYNO.SDS.ADServer.UserGeneralTab",{extend:"SYNO.SDS.Utils.FormPanel",FIELD_WIDTH:400,constructor:function(e){this.owner=e.owner;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("common","general","General"),trackResetOnLoad:!0,fieldWidth:200,items:this.createFormItems()},e);this.callParent([t])},createFormItems:function(){var e=SYNO.SDS.ADServer.Utils._S;return[{xtype:"syno_textfield",name:"first_name",maxLength:64,minLength:1,width:this.FIELD_WIDTH,fieldLabel:e("user","user_firstname")},{xtype:"syno_textfield",name:"initials",maxLength:6,width:this.FIELD_WIDTH,fieldLabel:e("user","user_initials")},{xtype:"syno_textfield",name:"last_name",maxLength:64,width:this.FIELD_WIDTH,fieldLabel:e("user","user_lastname")},{xtype:"syno_textfield",name:"display_name",maxLength:256,width:this.FIELD_WIDTH,fieldLabel:e("user","user_fullname")},{xtype:"syno_textfield",name:"description",maxLength:1024,width:this.FIELD_WIDTH,fieldLabel:e("common","description")},{xtype:"syno_textfield",name:"office",maxLength:128,width:this.FIELD_WIDTH,
fieldLabel:SYNO.SDS.ADServer.Utils._S("user","user_office","Office")},{xtype:"syno_compositefield",fieldLabel:e("user","user_telephone"),items:[{xtype:"syno_textfield",name:"telephone",maxLength:64,width:this.FIELD_WIDTH},{xtype:"syno_button",text:e("common","other_more_field"),handler:this.editOtherPhone,scope:this}]},{xtype:"syno_ad_dirtycheck_textfield",name:"email",maxLength:256,width:this.FIELD_WIDTH,fieldLabel:e("common","email"),vtype:"email",allowBlank:!0},{xtype:"syno_compositefield",fieldLabel:e("user","user_webpage"),items:[{xtype:"syno_textfield",name:"web",maxLength:2048,width:this.FIELD_WIDTH},{xtype:"syno_button",text:e("common","other_more_field"),handler:this.editOtherWeb,scope:this}]}]},editOtherPhone:function(){new SYNO.SDS.ADServer.Utils.PhoneEditor({owner:this.owner,dn:this.dn,title:SYNO.SDS.ADServer.Utils._S("user","user_other_phone","Other Phone"),maxLength:64}).open()},editOtherWeb:function(){new SYNO.SDS.ADServer.Utils.UrlEditor({owner:this.owner,dn:this.dn,title:SYNO.SDS.ADServer.Utils._S("user","user_other_web","Other Web"),maxLength:2048}).open()},reset:function(){this.getForm().reset()}}),Ext.define("SYNO.SDS.ADServer.UserProfileTab",{extend:"SYNO.SDS.Utils.FormPanel",FIELD_WIDTH:300,constructor:function(e){this.owner=e.owner;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("common","profile","Profile"),trackResetOnLoad:!0,fileUpload:!0,webapi:{api:"SYNO.ActiveDirectory.User.LogonFile",version:1,methods:{set:"upload"}},items:this.createFormItems(),buttons:null},e);this.callParent([t])},createFormItems:function(){var e=SYNO.SDS.ADServer.Utils._S;return[{xtype:"syno_displayfield",value:e("user","user_profile")},{xtype:"syno_textfield",name:"profile_path",itemId:"profile_path",width:this.FIELD_WIDTH,fieldLabel:e("user","user_profile_path")},{xtype:"syno_compositefield",fieldLabel:e("user","user_logon_script"),items:[{xtype:"syno_textfield",hideLabel:!0,name:"logon_script",itemId:"logon_script",width:this.FIELD_WIDTH},{xtype:"syno_ad_filebutton",buttonText:e("common","file_upload"),buttonOnly:!0,hideLabel:!0,name:"filename",hiddenName:"filename",maxSize:1048576,validExt:"bat"}]},{xtype:"syno_displayfield",value:e("user","user_home_folder")},{xtype:"syno_compositefield",hideLabel:!0,items:[{xtype:"syno_radio",name:"home_folder",inputValue:"local",width:180,boxLabel:e("common","local_path"),listeners:{scope:this,check:function(e,t){if(t){this.getForm().findField("local_path").setDisabled(!1),this.getForm().findField("home_drive").setDisabled(!0);var i=this.getForm().findField("remote_path");i.setDisabled(!0),i.allowBlank=!0,i.clearInvalid()}}}},{xtype:"syno_textfield",width:this.FIELD_WIDTH,name:"local_path"}]},{xtype:"syno_compositefield",hideLabel:!0,items:[{xtype:"syno_radio",name:"home_folder",inputValue:"remote",boxLabel:e("common","connect"),width:180,listeners:{scope:this,check:function(e,t){t&&(this.getForm().findField("local_path").setDisabled(!0),this.getForm().findField("home_drive").setDisabled(!1),this.getForm().findField("remote_path").setDisabled(!1).allowBlank=!1)}}},{xtype:"syno_combobox",name:"home_drive",displayField:"display",valueField:"value",store:new Ext.data.ArrayStore({fields:["display","value"],idIndex:0,data:[["C:","C:"],["D:","D:"],["E:","E:"],["F:","F:"],["G:","G:"],["H:","H:"],["I:","I:"],["J:","J:"],["K:","K:"],["L:","L:"],["M:","M:"],["N:","N:"],["O:","O:"],["P:","P:"],["Q:","Q:"],["R:","R:"],["S:","S:"],["T:","T:"],["U:","U:"],["V:","V:"],["W:","W:"],["X:","X:"],["Y:","Y:"],["Z:","Z:"]]}),allowBlank:!1,width:70},{xtype:"syno_displayfield",width:5},{xtype:"syno_displayfield",value:e("common","to")},{xtype:"syno_displayfield",width:5},{xtype:"syno_textfield",name:"remote_path",width:188}]}]},initEvents:function(){this.mon(this.getForm(),"actioncomplete",this.onActionComplete,this),this.mon(this.getForm(),"actionfailed",this.onActionFailed,this),this.mon(this,"afterlayout",function(){this.mon(this.getForm().findField("filename"),"change",this.onFileUpload,this)},this,{single:!0})},reset:function(){this.getForm().reset()},onActionComplete:function(e,t){this.getForm().findField("logon_script").setValue(t.result.data.filename)},onActionFailed:function(e,t){var i=SYNO.SDS.ADServer.Utils._S;this.getForm().findField("logon_script").reset(),this.owner.getMsgBox().alert("",i("upload","upload_error_data"))},onFileUpload:function(e){this.getForm().doAction("apply")}}),Ext.define("SYNO.SDS.ADServer.UserEdit",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner,this.netbios=e.netbios,this.dn=e.dn,this.userData={},this.callback=e.callback;var t=Ext.apply({width:820,height:450,minWidth:820,minHeight:450,layout:"fit",items:[this.configMainPanel()],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","reset"),scope:this,handler:this.reset},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t]),this.initTabField(),this.onLoad()},configMainPanel:function(){var e={owner:this,netbios:this.netbios,dn:this.dn},t=function(t,i){return new SYNO.SDS.ADServer[t](Ext.apply({itemId:i,dn:this.dn},e))},i=new SYNO.SDS.ADServer.Utils.GroupJoinGrid({owner:this,itemId:"group"});return{xtype:"syno_tabpanel",plain:!0,activeTab:0,deferredRender:!1,itemId:"main",items:[t("UserAccountTab","account"),t("UserGeneralTab","general"),t("UserProfileTab","profile"),i]}},initTabField:function(){this.accountFields=["account_is_locked_out","change_password_next_logon","cannot_change_password","password_never_expire","password_use_reversible_encryption","account_is_disabled","smart_card","cannot_be_delegated","use_des_encryption","not_require_kerberos_preauth"],this.generalFields=["first_name","initials","last_name","display_name","description","office","email"],this.profileFields=["profile_path","logon_script"]},onLoad:function(){var e=[{api:"SYNO.ActiveDirectory.User",method:"get",params:{dns:[this.dn]},version:1},{api:"SYNO.ActiveDirectory.GPO",method:"get",params:{dns:[this.dn.substr(this.dn.indexOf("DC="))]},version:1}];this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({compound:{stopwhenerror:!0,params:e},scope:this,callback:function(e,t,i){this.clearStatusBusy(),e&&!t.has_fail?(this.gpo=t.result[1].data,this.processReturnData(t,i)):SYNO.SDS.ADServer.Utils.Error(this,t.code,function(){this.close()},this)}})},processReturnData:function(e,t){var i=e.result[0].data;if(!Ext.isEmpty(i.users)){this.userData=i.users[0];var n=this.userData,s=this.getComponent("main"),r=s.getComponent("account").getForm(),o=s.getComponent("general").getForm(),a=s.getComponent("profile").getForm(),l=s.getComponent("group"),d={},c={},h={};if(s.getComponent("account").gpo=e.result[1].data[0]?e.result[1].data[0]:{},Ext.each(this.accountFields,function(e){d[e]=n[e]}),Ext.each(this.generalFields,function(e){c[e]=n[e]}),!Ext.isEmpty(n.logon_name)){r.findField("logon_name").originalValue=d.logon_name=n.logon_name[0]}if(!Ext.isEmpty(n.account_expire)){var u=r.findField("account_expire"),S=n.account_expire[0];if("0"===S||"9223372036854775807"===S)u.originalValue=d.account_expire="never";else{u.originalValue=d.account_expire="enable";var p=S/1e7-11644473600,m=new Date(1e3*(p-1));r.findField("account_expire_date").originalValue=d.account_expire_date=m}}if(r.setValues(d),d.account_is_locked_out||r.findField("account_is_locked_out").setDisabled(!0),r.isValid(),!Ext.isEmpty(n.telephone)){o.findField("telephone").originalValue=c.telephone=n.telephone[0]}if(!Ext.isEmpty(n.web)){o.findField("web").originalValue=c.web=n.web[0]}o.setValues(c),o.isValid(),h={profile_path:n.profile_path,logon_script:n.logon_script,home_folder:Ext.isEmpty(n.home_drive)?"local":"remote"},"remote"===h.home_folder?Object.extend(h,{home_drive:n.home_drive[0],remote_path:n.home_directory||""}):Object.extend(h,{local_path:n.home_directory||""}),a.setValues(h),a.isValid(),l.primaryGroup={rid:parseInt(n.primary_group_id[0],10)},l.memberOf=n.member_of}},onApply:function(){var e=this.dn,t=this.getComponent("main"),i=t.getComponent("account").getForm(),n=t.getComponent("general").getForm(),s=t.getComponent("profile").getForm(),r=t.getComponent("group");if(!i.isValid()||!n.isValid()||!s.isValid())return!1;var o=function(e,t,i){var n=e.findField(t);return!(!n||!n.isDirty())&&(i[t]=n.getValue(),!0)},a={},l=i.getFieldValues(!0),d={},c=n.getFieldValues(!0),h={},u=s.getFieldValues(!0);Ext.each(this.accountFields,function(e){Ext.isEmpty(l[e])||(a[e]=l[e])}),(a.cannot_change_password||a.password_never_expire)&&(a.change_password_next_logon=!1),a.change_password_next_logon&&(a.cannot_change_password=!1,a.password_never_expire=!1),Ext.each(this.generalFields,function(e){Ext.isDefined(c[e])&&(d[e]=c[e]),""===d[e]&&(d[e]=null)}),o(s,"logon_script",u),Ext.each(this.profileFields,function(e){Ext.isDefined(u[e])&&(h[e]=u[e]),""===h[e]&&(h[e]=null)}),o(i,"logon_name",a),l.enbl_change_password&&o(i,"password",a);var S=i.findField("account_expire");if(S)switch(S.getGroupValue()){case"never":"never"!==S.originalValue&&(a.account_expire="0");break;case"enable":var p=i.findField("account_expire_date");if(p.isDirty()){var m=p.getValue(),f=m.valueOf()/1e3+86400,_=1e7*(f+11644473600);a.account_expire=_.toString()}}o(n,"telephone",d),o(n,"web",d);var g=s.findField("home_folder");if(g)switch(g.getGroupValue()){case"remote":var v=s.findField("home_drive"),x=Ext.value(v.getValue(),null),D=s.findField("remote_path"),y=Ext.value(D.getValue(),null);x!==Ext.value(this.userData.home_drive[0],null)&&(h.home_drive=x),y!==Ext.value(this.userData.home_directory[0],null)&&(h.home_directory=y);break;case"local":var b=s.findField("local_path"),w=Ext.value(b.getValue(),null);w!==Ext.value(this.userData.home_directory[0],null)&&(h.home_directory=w),Ext.isEmpty(this.userData.home_drive)||(h.home_drive=null)}var A=r.getModifiedRows(),O=[],N=[];Ext.each(A,function(e){!0===e.join?O.push(e.dn):!1===e.join&&N.push(e.dn)});var E=[],Y=Ext.apply(a,d);Y=Ext.apply(Y,h),Ext.each(O,function(t){E.push({api:"SYNO.ActiveDirectory.Group.Member",method:"add",version:1,params:{dn:t,members:[e]}})}),Ext.each(N,function(t){E.push({api:"SYNO.ActiveDirectory.Group.Member",method:"remove",version:1,params:{dn:t,members:[e]}})}),function(e){return!Object.keys(e).length}(Y)||(Y=Ext.apply(Y,{dn:this.dn}),E.push({api:"SYNO.ActiveDirectory.User",method:"set",version:1,params:{users:[Y]}})),Ext.isEmpty(E)?this.close():(this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({compound:{stopwhenerror:!0,params:E},params:{},scope:this,callback:function(e,t){if(this.clearStatusBusy(),this.callback(e&&!t.has_fail,Y,SYNO.API.Util.GetValByAPI(t,"SYNO.ActiveDirectory.User","set")),e&&!t.has_fail)this.close();else{var i=SYNO.API.Util.GetFirstError(t);SYNO.SDS.ADServer.Utils.Error(this,i.code,function(){this.close()},this)}}}))},reset:function(){this.getComponent("main").getActiveTab().reset()}}),Ext.define("SYNO.SDS.ADServer.GroupGeneralTab",{extend:"SYNO.ux.FormPanel",FIELD_WIDTH:400,constructor:function(e){var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("common","general","General"),trackResetOnLoad:!0,items:this.createFormItems()},e);this.callParent([t])},createFormItems:function(){var e=SYNO.SDS.ADServer.Utils._S;return[{xtype:"syno_ad_dirtycheck_textfield",name:"name",vtype:"groupname",fieldLabel:e("group","group_name")+SYNO.SDS.ADServer.Utils.RequireStar,labelHtmlEncode:!1,maxLength:64,width:this.FIELD_WIDTH,allowBlank:!1},{xtype:"syno_textfield",name:"description",width:this.FIELD_WIDTH,fieldLabel:e("common","description")},{xtype:"syno_ad_dirtycheck_textfield",name:"email",width:this.FIELD_WIDTH,fieldLabel:e("common","email"),vtype:"email"},{xtype:"syno_displayfield",value:e("group","group_scope")},{xtype:"syno_radio",name:"scope",inputValue:"local",itemId:"scope_local",boxLabel:e("group","group_scope_domain_local")},{xtype:"syno_radio",name:"scope",inputValue:"global",itemId:"scope_global",boxLabel:e("group","group_scope_global")},{xtype:"syno_radio",name:"scope",inputValue:"universal",boxLabel:e("group","group_scope_universal")},{xtype:"syno_displayfield",value:e("group","group_type")},{xtype:"syno_radio",name:"type",inputValue:"security",boxLabel:e("group","group_type_security")},{xtype:"syno_radio",name:"type",inputValue:"distribution",boxLabel:e("group","group_type_distribution")}]}}),Ext.define("SYNO.SDS.ADServer.GroupEdit",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner,this.netbios=e.netbios,this.dn=e.dn,this.callback=e.callback;var t=Ext.apply({width:820,height:450,minWidth:820,minHeight:450,layout:"fit",items:[this.configMainPanel()],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","reset"),scope:this,handler:this.reset},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t]),this.initTabField(),this.onLoad()},configMainPanel:function(){var e={owner:this,dn:this.dn};return{xtype:"syno_tabpanel",plain:!0,activeTab:0,deferredRender:!1,itemId:"main",items:[function(t,i){return new SYNO.SDS.ADServer[t](Ext.apply({itemId:i},e))}("GroupGeneralTab","general"),new SYNO.SDS.ADServer.Utils.GroupMemberGrid(Ext.apply({itemId:"members"},e))]}},initTabField:function(){this.generalFields=["name","description","email"]},onLoad:function(){this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Group",method:"get",params:{dns:[this.dn]},version:1,scope:this,callback:function(e,t,i){this.clearStatusBusy(),e?this.processReturnData(t,i):this.setStatusError()}})},processReturnData:function(e,t){if(!Ext.isEmpty(e.groups)){var i=e.groups[0],n=this.getComponent("main").getComponent("general"),s=n.getForm(),r={};if(Ext.each(this.generalFields,function(e){r[e]=i[e]}),!Ext.isEmpty(i.scope))switch(s.findField("scope").originalValue=r.scope=i.scope,i.scope){case"local":n.getComponent("scope_global").setDisabled(!0);break;case"global":n.getComponent("scope_local").setDisabled(!0)}Ext.isEmpty(i.type)||(s.findField("type").originalValue=r.type=i.type),s.setValues(r)}},onApply:function(){var e=this.getComponent("main"),t=e.getComponent("general").getForm(),i=e.getComponent("members");if(!t.isValid())return!1;var n={},s=t.getFieldValues(!0);Ext.each(this.generalFields,function(e){Ext.isDefined(s[e])&&(n[e]=s[e]),""===n[e]&&(n[e]=null)});var r=t.findField("scope");r&&r.getGroupValue()!==r.originalValue&&(n.scope=r.getGroupValue());var o=t.findField("type");o&&o.getGroupValue()!==o.originalValue&&(n.type=o.getGroupValue());var a=i.getModifiedRows(),l=[],d=[];Ext.each(a,function(e){!0===e.join?l.push(e.dn):!1===e.join&&d.push(e.dn)});var c=[];if(Ext.isEmpty(l)||c.push({api:"SYNO.ActiveDirectory.Group.Member",method:"add",version:1,params:{dn:this.dn,members:l}}),Ext.isEmpty(d)||c.push({api:"SYNO.ActiveDirectory.Group.Member",method:"remove",version:1,params:{dn:this.dn,members:d}}),!function(e){for(var t in e)return!1;return!0}(n)){var h=Ext.apply(n,{dn:this.dn});c.push({api:"SYNO.ActiveDirectory.Group",method:"set",version:1,params:{groups:[h]}})}Ext.isEmpty(c)?this.close():(this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({compound:{stopwhenerror:!0,params:c},params:{},scope:this,callback:function(e,t){var i=function(){var e={},t=this.getComponent("main"),i=t.getComponent("general").getForm();return i.findField("description").isDirty()&&(e.description=i.findField("description").value),i.findField("name").isDirty()&&(e.name=i.findField("name").value),e}.bind(this);if(this.clearStatusBusy(),this.callback(e&&!t.has_fail,i(),SYNO.API.Util.GetValByAPI(t,"SYNO.ActiveDirectory.Group","set")),e&&!t.has_fail)this.close();else{var n=SYNO.API.Util.GetFirstError(t);SYNO.SDS.ADServer.Utils.Error(this,n.code,function(){this.close()},this)}}}))},reset:function(){var e=this.getComponent("main").getActiveTab();switch(e.itemId){case"general":e.getForm().reset();break;case"members":e.getStore().rejectChanges()}}}),Ext.define("SYNO.SDS.ADServer.ComputerGeneralTab",{extend:"SYNO.ux.FormPanel",constructor:function(e){this.owner=e.owner;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("common","general","General"),trackResetOnLoad:!0,items:[{xtype:"syno_displayfield",name:"name",fieldLabel:SYNO.SDS.ADServer.Utils._S("common","name","Name"),readOnly:!0},{xtype:"syno_textfield",name:"description",fieldLabel:SYNO.SDS.ADServer.Utils._S("common","description","Description")},{xtype:"syno_displayfield",name:"os_name",fieldLabel:SYNO.SDS.ADServer.Utils._S("machine","os_name","OS name"),readOnly:!0},{xtype:"syno_displayfield",name:"os_version",fieldLabel:SYNO.SDS.ADServer.Utils._S("machine","os_version","OS version"),readOnly:!0},{xtype:"syno_displayfield",name:"os_servicepack",fieldLabel:SYNO.SDS.ADServer.Utils._S("machine","os_sp","OS service pack"),readOnly:!0}]},e);this.callParent([t])}}),Ext.define("SYNO.SDS.ADServer.ComputerEditWindow",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner,this.dn=e.dn,this.callback=e.callback;var t=Ext.apply({width:820,height:450,minWidth:820,minHeight:450,title:SYNO.SDS.ADServer.Utils._S("machine","machine_info","Machine Information"),layout:"fit",items:[this.configMainPanel()],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t]),this.initTabField(),this.onLoad()},configMainPanel:function(){var e={owner:this};return{xtype:"syno_tabpanel",plain:!0,activeTab:0,itemId:"main",items:[function(t,i){return new SYNO.SDS.ADServer[t](Ext.apply({itemId:i},e))}("ComputerGeneralTab","general")]}},initTabField:function(){this.generalFields=["name","description","os_name","os_version","os_servicepack"]},onLoad:function(){this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Machine",method:"get",params:{dns:[this.dn]},version:1,scope:this,callback:function(e,t,i){this.clearStatusBusy(),e?this.processReturnData(t,i):this.setStatusError()}})},processReturnData:function(e,t){if(!Ext.isEmpty(e.machines)){var i=e.machines[0],n=this.getComponent("main"),s=n.getComponent("general").getForm(),r={};Ext.each(this.generalFields,function(e){r[e]=i[e]}),s.setValues(r)}},onApply:function(){var e=this.dn,t=this.getComponent("main"),i=t.getComponent("general").getForm(),n=i.findField("description");if(n&&n.isDirty()){var s=Ext.value(n.getValue(),null);this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Machine",method:"set",params:{machines:[{dn:e,description:s}]},version:1,scope:this,callback:function(e,t,i){var n=function(){var e={},t=this.getComponent("main"),i=t.getComponent("general").getForm();return i.findField("description").isDirty()&&(e.description=i.findField("description").value),e}.bind(this);this.clearStatusBusy(),this.callback(e,n(),t),e?this.close():this.setStatusError()}})}else this.close()}}),Ext.define("SYNO.SDS.ADServer.UserMultiAccountTab",{extend:"SYNO.ux.FormPanel",constructor:function(e){this.owner=e.owner,this.dns=e.dns;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("myds","account","Account"),trackResetOnLoad:!0,items:this.createFormItems()},e);this.callParent([t])},createFormItems:function(){var e=this;return[{xtype:"syno_displayfield",value:SYNO.SDS.ADServer.Utils._S("user","user_multi_slt_desc","To change a property for multiple objects, first select the checkbox to enable the change, and then select the change")},{xtype:"syno_button",text:SYNO.SDS.ADServer.Utils._S("user","user_logon_hours","Logon Hours ..."),handler:function(){new SYNO.SDS.ADServer.Utils.ScheduleWindow({owner:this.owner,dns:this.dns}).open()},scope:this},{xtype:"syno_button",text:SYNO.SDS.ADServer.Utils._S("user","user_logon_to","Log On To ..."),handler:function(){new SYNO.SDS.ADServer.Utils.ComputerListEditor({owner:this.owner,dns:this.dns}).open()},scope:this},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_must_chng_password","User must change password at next logon"),name:"change_password_next_logon",innerListeners:{check:function(t,i){var n=e.getForm(),s=n.findField("cannot_change_password"),r=n.findField("password_never_expire");s.setDisabled(i),r.setDisabled(i)}}},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_cant_chng_password","User cannot change password"),name:"cannot_change_password",innerListeners:{check:function(t,i){var n=e.getForm(),s=n.findField("change_password_next_logon"),r=n.findField("password_never_expire");s.setDisabled(i||r.getValue())}}},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_password_never_expire","Password never expires"),name:"password_never_expire",innerListeners:{check:function(t,i){var n=e.getForm(),s=n.findField("change_password_next_logon"),r=n.findField("cannot_change_password");s.setDisabled(i||r.getValue())}}},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("gpo","password_enbl_plain","Store password using reversible encryption"),name:"password_use_reversible_encryption"},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_disable_account","Account is disabled"),name:"account_is_disabled"},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_smart_card_required","Smart card is required for interactive logon"),name:"smart_card"},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_cant_be_delegated","Account is sensitive and cannot be delegated"),name:"cannot_be_delegated"},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_des_encrypt","Use DES encryption types for this account"),name:"use_des_encryption"},{xtype:"syno_ad_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_dont_require_kbrs","Do not require Kerberos preauthentication"),name:"not_require_kerberos_preauth"},{xtype:"syno_checkbox",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_expires_time","Account expires"),name:"account_expire_apply",scope:this,handler:function(e,t){var i=this.getForm().findField("account_expire"),n=Ext.isEmpty(i.getGroupValue()),s=this.getComponent("account_expire_never"),r=this.getComponent("account_expire_enable"),o=r.items.get(2);t?(s.enable(),r.enable(),o.disable(),n&&i.setValue("never"),"enable"===i.getGroupValue()&&o.enable()):(s.disable(),r.disable())}},{xtype:"syno_radio",name:"account_expire",itemId:"account_expire_never",inputValue:"never",checked:!0,indent:1,boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_expires_never","Never"),disabled:!0,listeners:{check:function(t,i){i&&e.getForm().findField("account_expire_date").setDisabled(!0)}}},{xtype:"syno_compositefield",itemId:"account_expire_enable",indent:1,hideLabel:!0,disabled:!0,items:[{xtype:"syno_radio",name:"account_expire",inputValue:"enable",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_expires_end_of","End of"),listeners:{check:function(t,i){i&&e.getForm().findField("account_expire_date").setDisabled(!1)}}},{xtype:"syno_displayfield",width:5},{xtype:"syno_datefield",name:"account_expire_date",width:240,allowBlank:!1,editable:!1,maxValue:new Date(2037,12,31),minValue:new Date(2005,1,1)}]}]}}),Ext.define("SYNO.SDS.ADServer.UserMultiGeneralTab",{extend:"SYNO.ux.FormPanel",FIELD_WIDTH:400,constructor:function(e){this.owner=e.owner;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("common","general","General"),trackResetOnLoad:!0,items:this.createFormItems()},e);this.callParent([t])},createFormItems:function(){return[{xtype:"syno_displayfield",value:SYNO.SDS.ADServer.Utils._S("user","user_multi_slt_desc","To change a property for multiple objects, first select the checkbox to enable the change, and then select the change")},{xtype:"syno_ad_textfield",boxLabel:SYNO.SDS.ADServer.Utils._S("common","description","Description"),textWidth:this.FIELD_WIDTH,name:"description"},{xtype:"syno_ad_textfield",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_office","Office"),textWidth:this.FIELD_WIDTH,name:"office"},{xtype:"syno_ad_textfield",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_telephone","Telephone number"),textWidth:this.FIELD_WIDTH,name:"telephone"},{xtype:"syno_ad_textfield",boxLabel:SYNO.SDS.ADServer.Utils._S("common","email","E-mail"),textWidth:this.FIELD_WIDTH,name:"email",vtype:"email"},{xtype:"syno_ad_textfield",boxLabel:SYNO.SDS.ADServer.Utils._S("user","user_webpage","Web page"),textWidth:this.FIELD_WIDTH,name:"web"}]}}),Ext.define("SYNO.SDS.ADServer.UserMultiProfileTab",{extend:"SYNO.SDS.Utils.FormPanel",FIELD_WIDTH:300,constructor:function(e){this.owner=e.owner;var t=Ext.apply({title:SYNO.SDS.ADServer.Utils._S("common","profile","Profile"),trackResetOnLoad:!0,fileUpload:!0,webapi:{api:"SYNO.ActiveDirectory.User.LogonFile",version:1,methods:{set:"upload"}},items:this.createFormItems(),buttons:null},e);this.callParent([t])},createFormItems:function(){var e=SYNO.SDS.ADServer.Utils._S;return[{xtype:"syno_displayfield",value:e("user","user_multi_slt_desc")},{xtype:"syno_displayfield",value:e("user","user_profile")},{xtype:"syno_ad_textfield",boxLabel:e("user","user_profile_path"),textWidth:this.FIELD_WIDTH,name:"profile_path"},{xtype:"syno_compositefield",hideLabel:!0,items:[{xtype:"syno_checkbox",boxLabel:e("user","user_logon_script"),width:200,name:"logon_scriptCheckBox",handler:function(e,t){var i=this.ownerCt.items.get(1),n=this.ownerCt.items.get(2);t||(i.reset(),n.reset()),i.setDisabled(!t),n.setDisabled(!t)}},{xtype:"syno_textfield",hideLabel:!0,name:"logon_script",itemId:"logon_script",width:this.FIELD_WIDTH,disabled:!0},{xtype:"syno_ad_filebutton",buttonText:e("common","file_upload"),buttonOnly:!0,hideLabel:!0,name:"filename",hiddenName:"filename",disabled:!0,maxSize:1048576,validExt:"bat"}],setValue:function(e){return this.items.get(1).setValue(e),this},getName:function(){return this.items.get(1).getName()},getValue:function(){return this.items.get(1).getValue()}},{xtype:"syno_checkbox",boxLabel:e("user","user_home_folder"),name:"home_folder_apply",scope:this,handler:function(e,t){var i=this.getForm().findField("home_folder"),n=Ext.isEmpty(i.getGroupValue()),s=this.getComponent("home_local"),r=s.items.get(1),o=this.getComponent("home_remote"),a=o.items.get(1),l=o.items.get(5);t?(s.enable(),o.enable(),r.disable(),a.disable(),l.disable(),n&&i.setValue("local"),"local"===i.getGroupValue()?r.enable():"remote"===i.getGroupValue()&&(a.enable(),l.enable())):(s.disable(),o.disable())}},{xtype:"syno_compositefield",hideLabel:!0,itemId:"home_local",disabled:!0,items:[{xtype:"syno_radio",boxLabel:e("common","local_path","Local path"),name:"home_folder",inputValue:"local",checked:!0,width:200,listeners:{scope:this,check:function(e,t){t&&(this.getForm().findField("local_path").setDisabled(!1),this.getForm().findField("home_drive").setDisabled(!0),this.getForm().findField("remote_path").setDisabled(!0))}}},{xtype:"syno_textfield",name:"local_path",width:this.FIELD_WIDTH,allowBlank:!1}]},{xtype:"syno_compositefield",itemId:"home_remote",hideLabel:!0,disabled:!0,items:[{xtype:"syno_radio",name:"home_folder",inputValue:"remote",boxLabel:e("common","connect","Connect"),width:200,listeners:{scope:this,check:function(e,t){t&&(this.getForm().findField("local_path").setDisabled(!0),this.getForm().findField("home_drive").setDisabled(!1),this.getForm().findField("remote_path").setDisabled(!1))}}},{xtype:"syno_combobox",name:"home_drive",displayField:"display",valueField:"value",store:new Ext.data.ArrayStore({fields:["display","value"],idIndex:0,data:[["C:","C:"],["D:","D:"],["E:","E:"],["F:","F:"],["G:","G:"],["H:","H:"],["I:","I:"],["J:","J:"],["K:","K:"],["L:","L:"],["M:","M:"],["N:","N:"],["O:","O:"],["P:","P:"],["Q:","Q:"],["R:","R:"],["S:","S:"],["T:","T:"],["U:","U:"],["V:","V:"],["W:","W:"],["X:","X:"],["Y:","Y:"],["Z:","Z:"]]}),allowBlank:!1,width:70},{xtype:"syno_displayfield",width:5},{xtype:"syno_displayfield",value:e("common","to")},{xtype:"syno_displayfield",width:5},{xtype:"syno_textfield",name:"remote_path",allowBlank:!1}]}]},initEvents:function(){this.mon(this.getForm(),"actioncomplete",this.onActionComplete,this),this.mon(this.getForm(),"actionfailed",this.onActionFailed,this),this.mon(this,"afterlayout",function(){this.mon(this.getForm().findField("filename"),"change",this.onFileUpload,this)},this,{single:!0})},reset:function(){this.getForm().reset()},onActionComplete:function(e,t){this.owner.clearStatusBusy(),this.getForm().findField("logon_script").setValue(t.result.data.filename)},onActionFailed:function(e,t){var i=SYNO.SDS.ADServer.Utils._S;this.owner.clearStatusBusy(),this.getForm().findField("logon_script").reset(),this.owner.getMsgBox().alert("",i("upload","upload_error_data"))},onFileUpload:function(e){this.owner.setStatusBusy({text:_T("common","loading")}),this.getForm().doAction("apply")}}),Ext.define("SYNO.SDS.ADServer.UserMultiEdit",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner,this.dns=e.dns,this.callback=e.callback,this.scope=e.scope||this.callback;var t=Ext.apply({width:820,height:450,minWidth:820,minHeight:450,layout:"fit",items:[this.configMainPanel()],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t]),this.initTabField()},configMainPanel:function(){var e={owner:this,dns:this.dns},t=function(t,i){return new SYNO.SDS.ADServer[t](Ext.apply({itemId:i},e))};return{xtype:"syno_tabpanel",plain:!0,activeTab:0,itemId:"main",items:[t("UserMultiAccountTab","account"),t("UserMultiGeneralTab","general"),t("UserMultiProfileTab","profile")]}},initTabField:function(){this.accountFields=["account_is_locked_out","change_password_next_logon","cannot_change_password","password_never_expire","password_use_reversible_encryption","account_is_disabled","smart_card","cannot_be_delegated","use_des_encryption","not_require_kerberos_preauth"],this.generalFields=["description","office","telephone","email","web"],this.profileFields=["profile_path","logon_script"]},onApply:function(){var e=this.getComponent("main"),t=e.getComponent("account").getForm(),i=e.getComponent("general").getForm(),n=e.getComponent("profile").getForm();if(t.isValid()&&i.isValid()&&n.isValid()){var s={},r=t.getFieldValues(!0),o={},a=i.getFieldValues(!0),l={},d=n.getFieldValues(!0);Ext.each(this.accountFields,function(e){Ext.isEmpty(r[e])||(s[e]=r[e])}),(s.cannot_change_password||s.password_never_expire)&&(s.change_password_next_logon=!1),s.change_password_next_logon&&(s.cannot_change_password=!1,s.password_never_expire=!1),Ext.each(this.generalFields,function(e){Ext.isDefined(a[e])&&(o[e]=a[e]),""===o[e]&&(o[e]=null)}),Ext.each(this.profileFields,function(e){Ext.isDefined(d[e])&&(l[e]=d[e]),""===l[e]&&(l[e]=null)});if(t.findField("account_expire_apply").getValue()){var c=t.findField("account_expire");if(c)switch(c.getGroupValue()){case"never":s.account_expire="0";break;case"enable":var h=t.findField("account_expire_date"),u=h.getValue(),S=u.valueOf()/1e3+86400,p=1e7*(S+11644473600);s.account_expire=p.toString()}}if(n.findField("home_folder_apply").getValue()){var m=n.findField("home_folder");if(m)switch(m.getGroupValue()){case"remote":var f=n.findField("home_drive"),_=n.findField("remote_path");l.home_drive=f.getValue(),l.home_directory=_.getValue();break;case"local":var g=n.findField("local_path");l.home_directory=Ext.value(g.getValue(),null),l.home_drive=null}}var v=Ext.apply(s,o);if(v=Ext.apply(v,l),function(e){for(var t in e)return!1;return!0}(v))this.close();else{var x=this.dns.map(function(e){var t=Ext.apply({},v);return Ext.apply(t,{dn:e})});this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"set",version:1,params:{users:x},scope:this,callback:function(e,t,i){this.callback.call(this.scope,e,v,t),this.clearStatusBusy(),e?this.close():SYNO.SDS.ADServer.Utils.Error(this,t.code,function(){this.close()},this)}})}}}}),Ext.define("SYNO.SDS.ADServer.OURenameWindow",{extend:"SYNO.SDS.ModalWindow",
constructor:function(e){this.owner=e.owner,this.dn=e.dn||"",this.ouName=e.ouName||"",this.renameCallback=e.renameCallback||Prototype.emptyFunction,this.scope=e.scope||this.renameCallback,this.mainPanel=this.configMainPanel();var t=Ext.apply({width:450,height:180,minWidth:500,minHeight:150,layout:"fit",items:[this.mainPanel],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t])},configMainPanel:function(){var e=this.ouName||SYNO.SDS.ADServer.Utils.splitDn(this.dn)[0].slice(3),t={labelWidth:75,labelAlign:"top",trackResetOnLoad:!0,waitMsgTarget:!0,border:!1,itemId:"mainPanel",autoScroll:!1,items:[{xtype:"syno_textfield",fieldLabel:SYNO.SDS.ADServer.Utils._S("ou","ou_input_alert","Please input OU name"),name:"name",itemId:"nameField",allowBlank:!1,width:400,value:e,maxlength:64,validator:function(e){var t=e.trim();return this.setRawValue(t),0!==t.length}}]};return new SYNO.ux.FormPanel(t)},show:function(){SYNO.SDS.ADServer.OURenameWindow.superclass.show.call(this);var e=function(){this.mainPanel.getComponent("nameField").focusInput()}.bind(this);setTimeout(e,100)},onApply:function(){var e=this.getComponent("mainPanel").getForm(),t=e.findField("name");if(!this.mainPanel.getForm().isDirty())return void this.close();if(t.isValid()){var i=t.getValue().replace(/^\s+/g,"").replace(/\s+$/g,""),n="OU="+SYNO.SDS.ADServer.Utils.EscapeDN(i)+","+SYNO.SDS.ADServer.Utils.splitDn(this.dn).slice(1).join(",");this.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Directory",method:"rename",params:{objects:[{source_dn:this.dn,destination_dn:n}]},version:1,scope:this,callback:function(e,t,s){if(this.clearStatusBusy(),!e)return void this.setStatusError({text:SYNO.SDS.ADServer.Utils.getErrorString(10205),clear:!0});this.renameCallback.call(this.scope,this.dn,n,i),this.close()}})}}}),Ext.define("SYNO.SDS.ADServer.SearchField",{extend:"SYNO.ux.SearchField",iconStyle:"filter",additionFilter:[],emptyText:SYNO.SDS.ADServer.Utils._S("myds","search","search"),constructor:function(e){this.callParent([e]),this.searchPanel.setVisible(!1)},initEvents:function(){this.callParent(arguments),this.mon(Ext.getDoc(),"mousedown",this.onMouseDown,this)},isInnerComponent:function(e,t){var i=!1;return t.items.each(function(t){if(t instanceof Ext.form.ComboBox){if(t.view&&e.within(t.view.getEl()))return i=!0,!1}else if(t instanceof Ext.form.DateField){if(t.menu&&e.within(t.menu.getEl()))return i=!0,!1}else if(t instanceof Ext.form.CompositeField&&this.isInnerComponent(e,t))return i=!0,!1},this),i},onMouseDown:function(e){var t=this.searchPanel;!t||!t.isVisible()||t.isDestroyed||e.within(t.getEl())||e.within(this.searchtrigger)||this.isInnerComponent(e,this.searchPanel.getForm())||t.inEl||t.hide()},onSearchTriggerClick:function(){if(this.searchPanel.isVisible())return void this.searchPanel.hide();this.searchPanel.ownerCt||(this.searchPanel.ownerCt=this),this.searchPanel.rendered||this.searchPanel.render(),this.searchPanel.getEl().alignTo(this.wrap,"tr-br?",[6,0]),this.searchPanel.show()},updateFilter:function(e){this.additionFilter=this.searchPanel.getFilter(e)},filter:function(){var e=this.getValue(),t={};if(this.store)if(!0!==this.localFilter)t[this.store.paramNames.start||this.store.defaultParamNames.start]=0,t[this.store.paramNames.limit||this.store.defaultParamNames.limit]=this.pageSize,e?(t.action=this.queryAction,t[this.queryParam]=e,this.store.load({params:t})):(t.action=this.enumAction,this.store.load({params:t}));else if(e){if(Ext.isArray(this.localFilterField)&&this.localFilterField.length>0)for(var i=0;i<this.localFilterField.length;i++){var n=this.localFilterField[i];Ext.isString(n)?this.localFilterField[i]={property:n,value:e,anyMatch:!0}:this.localFilterField[i].value=e}this.additionFilter?this.store.filter(this.localFilterField.concat(this.additionFilter)):this.store.filter(this.localFilterField)}else this.additionFilter?this.store.filter(this.additionFilter):this.store.clearFilter(!1)},reset:function(){this.additionFilter?this.store.filter(this.additionFilter):this.store.clearFilter(!1)}}),Ext.define("SYNO.SDS.ADServer.SearchPanel",{extend:"SYNO.ux.FormPanel",width:220,height:220,cls:"syno-ad-search-panel",bodyStyle:"padding: 10px; padding-left: 18px; font-size: 24px;",renderTo:Ext.getBody(),floating:!0,border:!0,checkedStatusObj:{},checkHandler:Ext.emptyFn,applyHandler:Ext.emptyFn,cancelHandler:Ext.emptyFn,constructor:function(e){this.callParent([Ext.apply({items:[{xtype:"syno_checkbox",name:"recursiveList",itemId:"recursiveChB",boxLabel:SYNO.SDS.ADServer.Utils._S("common","recursive_list","Recursive List"),checked:!1,handler:this.checkHandler.fn||this.checkHandler,scope:this.checkHandler.scope||this.scope},{xtype:"syno_checkbox",name:"user",itemId:"userChB",boxLabel:SYNO.SDS.ADServer.Utils._S("common","user","User"),checked:!0,handler:this.checkHandler.fn||this.checkHandler,scope:this.checkHandler.scope||this.scope},{xtype:"syno_checkbox",name:"group",itemId:"groupChB",boxLabel:SYNO.SDS.ADServer.Utils._S("common","group","Group"),checked:!0,handler:this.checkHandler.fn||this.checkHandler,scope:this.checkHandler.scope||this.scope},{xtype:"syno_checkbox",name:"ou",itemId:"ouChB",boxLabel:SYNO.SDS.ADServer.Utils._S("common","ou","OU"),checked:!0,handler:this.checkHandler.fn||this.checkHandler,scope:this.checkHandler.scope||this.scope},{xtype:"syno_checkbox",name:"machine",itemId:"machineChB",boxLabel:SYNO.SDS.ADServer.Utils._S("common","machine","Machine"),checked:!0,handler:this.checkHandler.fn||this.checkHandler,scope:this.checkHandler.scope||this.scope}],bbar:{xtype:"syno_compositefield",style:"padding: 10px; padding-left: 40px; font-size: 24px",hideLabel:!0,width:220,items:[{xtype:"syno_button",itemId:"addBtn",text:_T("common","apply"),btnStyle:"blue",handler:function(){if(!this.isDirty())return void this.hide();var e=this.getRegularValue(),t=this.applyHandler.fn||this.applyHandler,i=this.applyHandler.scope||this.scope;t.call(i,e),this.hide({applied:!0})},scope:this},{xtype:"syno_button",text:_T("common","cancel"),btnStyle:"grey",handler:function(){var e=this.cancelHandler.fn||this.cancelHandler,t=this.cancelHandler.scope||this.scope;e.call(t)},scope:this}]}},e)])},hide:function(e){SYNO.SDS.ADServer.SearchField.superclass.hide.call(this),e&&e.applied||this.items.items.map(function(e){e.setValue(!!this.checkedStatusObj[e.itemId])},this)},show:function(){SYNO.SDS.ADServer.SearchField.superclass.show.call(this),this.items.items.map(function(e){this.checkedStatusObj[e.itemId]=e.checked},this)},isDirty:function(){return void 0!==this.items.items.find(function(e){return e.checked!==this.checkedStatusObj[e.itemId]},this)},getRegularValue:function(){var e={};return this.items.items.map(function(t){e[t.name]=t.checked}),e},getFilter:function(e){var t=this.getRegularValue();return[{property:"type",value:new RegExp(String.format("^({0}|{1}|{2}|{3})$",t.user?"user":"u",t.group?"group":"g",t.ou?"ou":"o",t.machine?"machine":"m"))},{property:"dn",value:t.recursiveList?e.rfilterReg:e.filterReg}]}}),Ext.define("SYNO.SDS.ADServer.SearchFieldMng",{extend:"Object",constructor:function(e){this.searchFieldHash=e.searchFieldHash,this.nodeSearchOption={}},___createSearchCfg:function(){return{recursiveChB:!1,userChB:!0,groupChB:!0,machineChB:!0,ouChB:!0,searchItem:""}},getValue:function(e,t){return(this.nodeSearchOption[e]||this.___createSearchCfg())[t]},setNodeSearchOption:function(e,t,i){var n=this.nodeSearchOption[e]||this.___createSearchCfg();n[t]=i,this.nodeSearchOption[e]=n},loadNodeSearchOptToFields:function(e){var t=this.nodeSearchOption[e]||this.___createSearchCfg();this.searchFieldHash.recursiveChB.setValue(t.recursiveChB),this.searchFieldHash.userChB.setValue(t.userChB),this.searchFieldHash.groupChB.setValue(t.groupChB),this.searchFieldHash.machineChB.setValue(t.machineChB),this.searchFieldHash.ouChB.setValue(t.ouChB),this.searchFieldHash.searchItem.setValue(t.searchItem)},setEnable:function(e,t){t.map(function(t){this.searchFieldHash[t].setDisabled(!e)},this)}}),Ext.define("SYNO.SDS.ADServer.MemberPanel",{extend:"Ext.Panel",constructor:function(e){this.appWin=e.appWin;var t=e.appWin.fqdn;this.baseDn=t.split(".").map(function(e){return"DC="+e.toLowerCase()}).join(","),this.DOMAIN_CONTROLLER_DN="OU=Domain Controllers,"+this.baseDn,this.netbios=e.appWin.netbios,this.actions=this.createActions(),this.gridPanel=this.createGridPanel(),this.searchField=new SYNO.SDS.ADServer.SearchField({itemId:"search",store:this.gridPanel.store,localFilter:!0,localFilterField:["name"],searchPanel:new SYNO.SDS.ADServer.SearchPanel({scope:this,checkHandler:this.onCheckHandler,applyHandler:this.onSearchOptionApply,cancelHandler:function(){this.searchField.searchPanel.hide()}}),getComponent:function(e){return this.searchPanel.getComponent(e)}}),this.toolbar=new Ext.Toolbar({cls:"syno-sds-ads-member-tbar",defaultType:"syno_button",items:[{xtype:"syno_button",itemId:"addBtn",text:SYNO.SDS.ADServer.Utils._S("common","add","Add"),menu:[this.getAction("addUser"),this.getAction("addGroup"),this.getAction("addOU"),"-",this.getAction("importUsers")]},{xtype:"syno_button",itemId:"actionBtn",text:SYNO.SDS.ADServer.Utils._S("common","action","Action"),menu:[this.getAction("delete"),this.getAction("edit")]},"->",this.searchField]}),this.contentPanel=new Ext.Panel({xtype:"panel",itemId:"contentPanel",layout:"card",border:!1,activeItem:"memberGridPanel",region:"center",items:[this.gridPanel]}),this.treePanel=this.initTree(t),this.gridCtxMenu=this.initGridCtxMenu();var i=Ext.apply({layout:"border",border:!1,defaluts:{split:!0,fit:!0},viewConfig:{forceFit:!0},tbar:this.toolbar,items:[this.treePanel,this.contentPanel]},e);this.callParent([i]),this.searchFieldHash={recursiveChB:this.searchField.getComponent("recursiveChB"),userChB:this.searchField.getComponent("userChB"),groupChB:this.searchField.getComponent("groupChB"),ouChB:this.searchField.getComponent("ouChB"),machineChB:this.searchField.getComponent("machineChB"),searchItem:this.searchField},this.searchFieldMng=new SYNO.SDS.ADServer.SearchFieldMng({searchFieldHash:this.searchFieldHash}),this.selectNodeId="default_user_folder",this.mon(this,"afterlayout",function(e,t){var i=this.treePanel.getNodeById("organization_root");this.treePanel.reloadOuTree(),i.expand()},this,{single:!0})},tplAdd:function(e,t){if(e)return e=Ext.util.Format.htmlEncode(e),e=e.replace("'","&lsquo;"),t.attr=String.format('ext:qtip="{0}";',Ext.util.Format.htmlEncode(e)),e},createGridPanel:function(){var e=new SYNO.SDS.ADServer.MemberGridPanel({itemId:"memberGridPanel",ddGroup:"treeGridGroup",ddText:SYNO.SDS.ADServer.Utils._S("common","ddtext_files_selected"),enableDragDrop:!0,colModel:new Ext.grid.ColumnModel([{header:SYNO.SDS.ADServer.Utils._S("common","type","Type"),dataIndex:"type",sortable:!0,scope:this,renderer:function(e,t){return e=SYNO.SDS.ADServer.Utils._S("common",e.toLowerCase(),e),this.tplAdd(e,t)}},{header:SYNO.SDS.ADServer.Utils._S("common","name","Name"),dataIndex:"name",sortable:!0,scope:this,renderer:this.tplAdd},{header:SYNO.SDS.ADServer.Utils._S("common","description","Description"),dataIndex:"description",sortable:!0,scope:this,renderer:this.tplAdd},{header:"DN",dataIndex:"dn",sortable:!0,hidden:!0,scope:this,renderer:this.tplAdd},{header:SYNO.SDS.ADServer.Utils._S("common","status"),dataIndex:"disabled",sortable:!0,scope:this,renderer:function(e,t,i){var n="";return e?(n=SYNO.SDS.ADServer.Utils._S("user","user_acnt_disabled"),e=SYNO.SDS.ADServer.Utils.Color(n,"red")):(n=SYNO.SDS.ADServer.Utils._S("user","user_acnt_normal"),e=n),this.tplAdd(n,t),e}}]),store:new SYNO.API.JsonStore({fields:["type","name","dn","description","disabled"],root:"objects",idProperty:"dn",totalProperty:"total",api:"SYNO.ActiveDirectory.Directory",method:"list",version:2,appWindow:this.appWin,baseParams:{sort:"name",scope:"subtree",ou:"",type:["user","group","ou","machine"],offset:0,limit:-1},scope:this,listeners:{scope:this,beforeload:function(){this.appWin.setStatusBusy({text:_T("common","loading")})},load:function(){var e=this.treePanel.getSelectionModel().getSelectedNode();this.appWin.clearStatusBusy(),e&&e.id&&this.searchField.reset()},exception:function(e,t,i,n,s,r){this.appWin.clearStatusBusy(),this.appWin.setStatusError({text:_T("confbackup","session_expired")})}}}),listeners:{show:function(e){e.loaded||(e.getBottomToolbar().changePage(0),e.loaded=!0)},rowdblclick:{fn:this.onEdit,scope:this},rowcontextmenu:{fn:this.gridRowContextMenu,scope:this},rowclick:{fn:function(e,t,i){i&&t>=0&&!i.hasModifier()&&e.getSelectionModel().selectRow(t)},scope:this},containercontextmenu:{fn:this.gridContainerContextmenu,scope:this},containerclick:{fn:function(e,t){t.target.hasClassName("vscrollerbar")||e.getSelectionModel().clearAllSelections()},scope:this},scope:this},keys:[{key:Ext.EventObject.DELETE,fn:this.onDelete,scope:this}]});return this.appWin.mon(e.getSelectionModel(),"selectionchange",this.onGridSelectionChange,this,null),e},initGridCtxMenu:function(){return new SYNO.ux.Menu({items:[new Ext.menu.Item({text:SYNO.SDS.ADServer.Utils._S("common","add","Add"),itemId:"addMenu",menu:new SYNO.ux.Menu({items:[this.getAction("addUser"),this.getAction("addGroup"),this.getAction("addOU")]})}),new Ext.menu.Item({text:SYNO.SDS.ADServer.Utils._S("common","add","Add"),itemId:"addMenuSel",menu:new SYNO.ux.Menu({items:[this.getAction("addUserSel"),this.getAction("addGroupSel"),this.getAction("addOUSel")]})}),this.getAction("delete"),this.getAction("edit"),this.getAction("enable"),this.getAction("disable")]})},initTree:function(e){this.treeCtxMenu=this.initTreeCtxMenu();var t=new SYNO.SDS.ADServer.MemberTreePanel({owner:this,baseDn:this.baseDn,fqdn:e,region:"west",store:this.gridPanel.store,ddGroup:"treeGridGroup",ddScroll:!0,enableDrop:!0,useArrows:!0,rootVisible:!1,listeners:{scope:this,contextmenu:this.treeContextMenu,nodedragover:this.onTreeNodeDragOver,beforenodedrop:function(e){var t=e.data.node,i=t?"tree":"grid",n=e.target,s=[],r=function(e,t){return String.format("{0},{1}",SYNO.SDS.ADServer.Utils.splitDn(e).first(),t)};"grid"===i?s=e.data.selections.map(function(e){return{source_dn:e.data.dn,destination_dn:r(e.data.dn,n.attributes.dn)}}):s.push({source_dn:t.attributes.dn,destination_dn:r(t.attributes.dn,n.attributes.dn)}),this.doMove({mapping:s,scope:this,callback:function(e,t){if(!e)return void this.appWin.setStatusError();var i=!1,n=this.gridPanel.store;if(s.length!==t.length)return n.reload(),void this.treePanel.reloadOuTree();n.clearFilter();for(var r=0;r<s.length;r++){var o=n.find("dn",s[r].source_dn),a=n.getAt(o);if(a&&(a.set("dn",t[r]),"ou"===a.get("type"))){for(var l=this.treePanel.getNodeById("organization_root").findChild("dn",s[r].source_dn,-1),d=n.query("dn",l.rfilterReg),c=0;c<d.length;c++){var h=d.get(c).get("dn");d.get(c).set("dn",h.replace(s[r].source_dn,t[r]))}i=!0}}n.commitChanges(),this.searchField.filter(),i&&this.treePanel.reloadOuTree()}})}}});return t.mon(t.getSelectionModel(),"beforeselect",this.beforeTreeSelectionChange,this,null),t.mon(t.getSelectionModel(),"selectionchange",this.onTreeSelectionChange,this,null),t},initTreeCtxMenu:function(){return new SYNO.ux.Menu({items:[new Ext.menu.Item({activeClass:"",style:"cursor:default; font-weight: bold;",itemId:"text",text:""}),new Ext.menu.Separator,new Ext.menu.Item({text:SYNO.SDS.ADServer.Utils._S("common","add","Add"),itemId:"addMenu",menu:new SYNO.ux.Menu({items:[this.getAction("addUserOU"),this.getAction("addGroupOU"),this.getAction("addOUOU")]})}),this.getAction("deleteOU"),this.getAction("reloadOU"),this.getAction("renameOU")]})},onCheckHandler:function(e,t){var i=this.treePanel.getSelectionModel().getSelectedNode().id,n=e.itemId;this.searchFieldMng.setNodeSearchOption(i,n,t)},onSearchOptionApply:function(e){var t=this.treePanel.getSelectionModel().getSelectedNode();if(Ext.isEmpty(t))return void SYNO.Debug("FIXME: treePanel no select any node");t.showPanel()},onTreeNodeDragOver:function(e){var t=SYNO.SDS.ADServer.Utils._S,i=e.source,n=i.getProxy().getGhost(),s=e.data.node,r=e.target,o=s?"tree":"grid",a=function(e,t){return Ext.isString(t)&&(t=[t]),void 0===e.find(function(e,i){return!t.include(e.get("type"))})},l=function(e,t){return void 0!==e.find(function(e){return t===e.get("dn")})};if("grid"===o){var d=e.data.selections;switch(r.id){case"organization_root":if(!a(d,"ou"))return n.update(t("member","ghost_ou_root")),!1;break;case"default_user_folder":return!!a(d,["user","group"])||(n.update(t("member","ghost_user_folder")),!1);case"default_machine_folder":return!!a(d,"machine")||(n.update(t("member","ghost_user_folder")),!1)}if(l(d,this.DOMAIN_CONTROLLER_DN))return n.update(t("member","ghost_move_to_virtual_folder")),!1;if(l(d,r.attributes.dn))return n.update(String.format(t("member","ghost_move_to_invalid_ou"),r.text)),!1;var c=this.treePanel.treeCache.checkMove.bind(this.treePanel.treeCache);if(void 0!==d.find(function(e){return"ou"===e.get("type")&&!c(e.get("dn"),r.attributes.dn)}))return n.update(String.format(t("member","ghost_move_to_invalid_ou"),r.text)),!1}else{if("default_user_folder"===r.id||"default_machine_folder"===r.id||"default_user_folder"===e.data.node.id||"default_machine_folder"===e.data.node.id||this.DOMAIN_CONTROLLER_DN===e.data.node.id)return n.update(t("member","ghost_move_to_virtual_folder")),!1;if(!this.treePanel.treeCache.checkMove(s.attributes.dn,r.attributes.dn))return n.update(String.format(t("member","ghost_move_to_invalid_ou"),r.text)),!1}return n.update(String.format(t("member","ghost_move_to"),r.text)),!0},createActions:function(){var e=SYNO.SDS.ADServer.Utils._S,t=function(e,t,i,n){return new Ext.Action(Ext.apply({text:e,scope:i,handler:t},n))};return{addUser:t(e("common","user"),this.onAddUser("normal"),this),addGroup:t(e("common","group"),this.onAddGroup("normal"),this),addOU:t(e("common","ou"),this.onAddOU("normal"),this),delete:t(e("common","delete"),this.onDelete,this),deleteOU:t(e("common","delete"),this.onDeleteOU,this),edit:t(e("common","alt_edit"),this.onEdit,this),enable:t(e("common","enable"),this.onEnable,this),disable:t(e("common","disable"),this.onDisable,this),reloadOU:t(e("common","reload_res"),this.onReloadOU,this),renameOU:t(e("common","rename"),this.onRenameOU,this),addUserOU:t(e("common","user"),this.onAddUser("tree"),this),addGroupOU:t(e("common","group"),this.onAddGroup("tree"),this),addOUOU:t(e("common","ou"),this.onAddOU("tree"),this),addUserSel:t(e("common","user"),this.onAddUser("grid"),this),addGroupSel:t(e("common","group"),this.onAddGroup("grid"),this),addOUSel:t(e("common","ou"),this.onAddOU("grid"),this),importUsers:t(e("user","import_users"),this.onImportUsers,this)}},getAction:function(e){return e in this.actions?this.actions[e]:void 0},setActionView:function(e,t){e&&(Ext.isString(e)&&(e=[e]),Ext.isArray(e)&&e.map(function(e){this.actions[e]&&this.actions[e].show()},this)),t&&(Ext.isString(t)&&(t=[t]),Ext.isArray(t)&&t.map(function(e){this.actions[e]&&this.actions[e].hide()},this))},getActiveGrid:function(){return this.contentPanel.getLayout().activeItem},beforeTreeSelectionChange:function(e,t,i){i&&this.searchFieldMng.setNodeSearchOption(i.id,"searchItem",this.searchField.getValue()),this.searchField.additionFilter=[]},onTreeSelectionChange:function(e,t){t&&(this.searchFieldMng.loadNodeSearchOptToFields(t.id),this.updateActionStatus(),t.showPanel())},treeContextMenu:function(e,t){var i=["organization_root","default_user_folder","default_machine_folder",this.DOMAIN_CONTROLLER_DN];this.treeCtxMenu.getComponent("addMenu").show(),this.getAction("deleteOU").show(),this.getAction("renameOU").show(),0<=i.indexOf(e.id)&&(this.getAction("deleteOU").hide(),this.getAction("renameOU").hide()),"default_user_folder"===e.id?this.getAction("addOUOU").hide():this.getAction("addOUOU").show(),"organization_root"===e.id?(this.getAction("addUserOU").hide(),this.getAction("addGroupOU").hide()):(this.getAction("addUserOU").show(),this.getAction("addGroupOU").show()),"default_machine_folder"===e.id&&this.treeCtxMenu.getComponent("addMenu").hide(),this.treeCtxMenu.treeNode=e,this.treeCtxMenu.items.get("text").setText("["+e.text+"]"),this.treeCtxMenu.showAt(t.getXY())},selectionsContainsType:function(e,t){var i=e.selections.items;if(0<i.length)for(var n=0;n<i.length;n++)if(t===i[n].data.type)return!0;return!1},selectionsOnlyContainsType:function(e,t){var i=e.selections.items;if(0>=i.length)return!1;for(var n=0;n<i.length;n++)if(t!==i[n].data.type)return!1;return!0},selectionsContainsStatus:function(e,t){var i="disabled"===t.toLowerCase(),n=e.selections.items;if(0<n.length)for(var s=0;s<n.length;s++)if(i===n[s].data.disabled)return!0;return!1},gridRowContextMenu:function(e,t,i){i.preventDefault();var n=e.getSelectionModel();n.isSelected(t)||n.selectRow(t),1<n.selections.items.length&&this.selectionsContainsType(n,"ou")||this.gridCtxMenu.showAt(i.getXY())},gridContainerContextmenu:function(e,t){var i=this.treePanel.getSelectionModel().getSelectedNode();if(Ext.isEmpty(i))return void SYNO.Debug("FIXME: treePanel no select any node");t.preventDefault(),e.getSelectionModel().clearAllSelections(),"default_machine_folder"!==i.id&&this.gridCtxMenu.showAt(t.getXY())},onGridSelectionChange:function(e){this.updateActionStatusGrid(e)},updateActionStatus:function(){this.updateActionStatusTree(),this.updateActionStatusGrid()},updateActionStatusTree:function(){var e=!1,t=this.treePanel.getSelectionModel().getSelectedNode();if(Ext.isEmpty(t))return void SYNO.Debug("FIXME: treePanel no select any node");switch(this.searchFieldMng.setEnable(!1,["recursiveChB","userChB","groupChB","ouChB","machineChB"]),t.id){case"organization_root":this.setActionView("addOU",["addUser","addGroup"]),this.searchFieldMng.setEnable(!0,["recursiveChB","userChB","groupChB","ouChB","machineChB"]);break;case"default_user_folder":this.setActionView(["addUser","addGroup"],"addOU"),this.searchFieldMng.setEnable(!0,["userChB","groupChB"]);break;case"default_machine_folder":this.setActionView(null,["addUser","addGroup","addOU"]),e=!0;break;default:this.setActionView(["addUser","addGroup","addOU"]),this.searchFieldMng.setEnable(!0,["recursiveChB","userChB","groupChB","ouChB","machineChB"])}this.gridCtxMenu.getComponent("addMenu").setVisible(!e),this.toolbar.getComponent("addBtn").setDisabled(e)},updateActionStatusGrid:function(e){e=e||this.gridPanel.getSelectionModel();var t=e.getCount();return this.gridCtxMenu.getComponent("addMenu").hide(),this.gridCtxMenu.getComponent("addMenuSel").hide(),this.setActionView(null,["delete","edit","enable","disable"]),this.toolbar.getComponent("actionBtn").disable(),0===t?void("default_machine_folder"!==this.treePanel.getSelectionModel().getSelectedNode().id&&this.gridCtxMenu.getComponent("addMenu").show()):(this.selectionsOnlyContainsType(e,"ou")||this.toolbar.getComponent("actionBtn").enable(),1===t?this.selectionsOnlyContainsType(e,"ou")?void this.gridCtxMenu.getComponent("addMenuSel").show():(this.selectionsOnlyContainsType(e,"user")&&(this.selectionsContainsStatus(e,"disabled")?this.setActionView(["enable"]):this.setActionView(["disable"])),void this.setActionView(["delete","edit"])):(this.setActionView("delete"),void(this.selectionsOnlyContainsType(e,"user")&&(this.selectionsContainsStatus(e,"disabled")&&this.setActionView(["enable"]),this.selectionsContainsStatus(e,"enabled")&&this.setActionView(["disable"]),this.setActionView("edit")))))},onAddUser:function(e){return function(){var t=this,i=null;switch(e){case"normal":i=this.treePanel.getSelectionModel().getSelectedNode().attributes.dn;break;case"tree":i=this.treeCtxMenu.treeNode.attributes.dn;break;case"grid":var n=this.gridPanel.getSelectionModel().getSelections();if(1!==n.length||"ou"!==n[0].get("type"))return;i=n[0].get("dn");break;default:return}new SYNO.SDS.ADServer.UserCreateWizard.ModelWindow({owner:this.owner,netbios:this.netbios,baseDn:this.baseDn,locatedDn:i,callback:function(e,i){e&&(t.gridPanel.store.add(new Ext.data.Record({type:"user",name:i.name,description:i.description,dn:i.dn})),t.searchField.filter())}}).open()}},onAddGroup:function(e){return function(){var t=this,i=null;switch(e){case"normal":i=this.treePanel.getSelectionModel().getSelectedNode().attributes.dn;break;case"tree":i=this.treeCtxMenu.treeNode.attributes.dn;break;case"grid":var n=this.gridPanel.getSelectionModel().getSelections();if(1!==n.length||"ou"!==n[0].get("type"))return;i=n[0].get("dn");break;default:return}new SYNO.SDS.ADServer.GroupCreateWizard.ModelWindow({owner:this.owner,netbios:this.netbios,locatedDn:i,callback:function(e,i){e&&(t.gridPanel.store.add(new Ext.data.Record({type:"group",name:i.name,description:i.description,dn:i.dn})),t.searchField.filter())}}).open()}},onAddOU:function(e){return function(){var t=this,i=this.treePanel,n=null;switch(e){case"normal":n=i.getSelectionModel().getSelectedNode();break;case"tree":n=this.treeCtxMenu.treeNode;break;case"grid":var s=this.gridPanel.getSelectionModel().getSelections();if(1!==s.length||"ou"!==s[0].get("type"))return;n=i.findOuNode(s[0].get("dn"));break;default:return}new SYNO.SDS.ADServer.OUCreateWindow({owner:this.owner,dn:n.attributes.dn,addSuccess:function(e,s){i.addOuNode(n,e,s),t.gridPanel.store.add(new Ext.data.Record({type:"ou",name:e,dn:s})),t.searchField.filter()}}).open()}},syncEditToGridPanel:function(e,t,i){var n=!1;if(e){var s=this.getActiveGrid().getSelectionModel().getSelections();1===s.length&&(void 0!==t.description&&(s[0].set("description",t.description),n=!0),void 0!==t.logon_name&&(s[0].set("name",this.netbios+"\\"+t.logon_name),0<i.dns.length&&i.dns_renamed&&i.dns_renamed[i.dns[0]]&&s[0].set("dn",i.dns_renamed[i.dns[0]]),n=!0),void 0!==t.account_is_disabled&&(s[0].set("disabled",t.account_is_disabled),n=!0),n&&s[0].commit())}},onEdit:function(){var e=null,t="",i=this.getActiveGrid().getSelectionModel().getSelections();if(!(0>=i.length))if(t=i[0].get("type"),1==i.length)switch(t){case"user":e=new SYNO.SDS.ADServer.UserEdit({owner:this.owner,netbios:this.netbios,dn:i[0].get("dn"),callback:this.syncEditToGridPanel.bind(this)}),e.open();break;case"group":e=new SYNO.SDS.ADServer.GroupEdit({owner:this.owner,netbios:this.netbios,dn:i[0].get("dn"),callback:this.syncEditToGridPanel.bind(this)}),e.open();break;case"machine":e=new SYNO.SDS.ADServer.ComputerEditWindow({owner:this.owner,dn:i[0].get("dn"),callback:this.syncEditToGridPanel.bind(this)}),e.open()}else{var n=void 0===i.find(function(e){return e.get("type")!==t}),s=i.map(function(e){return e.get("dn")});if(!n||"user"!==t)return;e=new SYNO.SDS.ADServer.UserMultiEdit({owner:this.owner,dns:s,scope:this,callback:function(e,t,i){s.map(function(e){var i=this.gridPanel.store.find("dn",e),n=this.gridPanel.store.getAt(i);if(!n)return!0;void 0!==t.description&&n.set("description",t.description),void 0!==t.account_is_disabled&&n.set("disabled",t.account_is_disabled),n.commit()},this)}}),e.open()}},onEditUserStatus:function(e,t){var i=e.map(function(e){return{dn:e,account_is_disabled:!t}});this.appWin.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.User",method:"set",params:{users:i},version:1,scope:this,callback:function(e,i,n){if(this.appWin.clearStatusBusy(),!e)return void SYNO.SDS.ADServer.Utils.Error(this,i.code);this.getActiveGrid().getSelectionModel().getSelections().map(function(e){e.set("disabled",!t),e.commit()}),this.updateActionStatusGrid()}})},onEnable:function(){var e=this.getActiveGrid().getSelectionModel().getSelections(),t=e.map(function(e){return e.get("dn")});this.onEditUserStatus(t,!0)},onDisable:function(){var e=this.getActiveGrid().getSelectionModel().getSelections(),t=e.map(function(e){return e.get("dn")});this.onEditUserStatus(t,!1)},onDelete:function(){var e=this.getActiveGrid().getSelectionModel().getSelections(),t=e.map(function(e){return e.get("name")}),i=function(e){Ext.isEmpty(e)||(this.appWin.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Directory",method:"delete",params:{dns:e},version:1,scope:this,callback:function(t,i,n){if(this.appWin.clearStatusBusy(),!t)return SYNO.SDS.ADServer.Utils.Error(this.appWin,i.code),!1;e.map(function(e){var t=this.gridPanel.store.find("dn",e);this.gridPanel.store.removeAt(t)},this),this.searchField.filter()}}))}.bind(this);this.owner.getMsgBox().confirmDelete("",SYNO.SDS.ADServer.Utils._S("member","remove_alert")+"<br/>"+t.join(", "),function(t){if("yes"===t){var n=e.map(function(e){return e.get("dn")});i(n)}})},onDeleteOU:function(){var e=this.treeCtxMenu.treeNode;if(!Ext.isEmpty(e)){var t=function(){this.appWin.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Directory",method:"delete",params:{dns:[e.attributes.dn]},version:1,scope:this,callback:function(t,i,n){if(this.appWin.clearStatusBusy(),!t)return SYNO.SDS.ADServer.Utils.Error(this.appWin,i.code),!1;var s=this.treePanel.getSelectionModel().getSelectedNode(),r=this.gridPanel.store.find("dn",e.attributes.dn);this.gridPanel.store.removeAt(r),this.gridPanel.store.query("dn",e.rfilterReg).each(function(e){this.gridPanel.store.remove(e)},this),s.attributes.dn===e.attributes.dn&&e.parentNode.select(),this.treePanel.removeOuNode(e),this.treePanel.getSelectionModel().getSelectedNode().showPanel()}})}.bind(this);this.owner.getMsgBox().confirmDelete("",SYNO.SDS.ADServer.Utils._S("member","remove_ou_alert")+"<br/>"+e.attributes.dn,function(e){"yes"===e&&t()})}},onReloadOU:function(){var e=this.treePanel,t=this.treeCtxMenu.treeNode;e.reloadOuNode(t)},onRenameOU:function(){var e=this.treePanel,t=this.treeCtxMenu.treeNode;new SYNO.SDS.ADServer.OURenameWindow({owner:this.owner,dn:t.attributes.dn,ouName:t.attributes.text,scope:this,renameCallback:function(t,i,n){var s=e.getNodeById("organization_root"),r=s.findChild("dn",t,-1),o=this.gridPanel.store.find("dn",t),a=this.gridPanel.store.getAt(o);a&&(a.set("dn",i),a.set("name",n),a.commit()),this.gridPanel.store.query("dn",r.rfilterReg).each(function(e){var n=e.get("dn");return e.set("dn",n.replace(t,i)),!0}),this.gridPanel.store.commitChanges(),this.treePanel.renameOuNode(r,i,n),this.treePanel.getSelectionModel().getSelectedNode().showPanel()}}).open()},doMove:function(e){Ext.isEmpty(e.mapping)||(e.mapping.sort(function(e,t){return t.source_dn.length>e.source_dn.length}),this.appWin.setStatusBusy({text:_T("common","saving")}),this.sendWebAPI({api:"SYNO.ActiveDirectory.Directory",method:"rename",params:{objects:e.mapping},version:1,scope:this,callback:function(t,i){this.appWin.clearStatusBusy(),e.callback.call(e.scope||e.callback,t,i.dns)}}))},onImportUsers:function(){this.owner.setStatusBusy({text:_T("common","loading")}),this.sendWebAPI({api:"SYNO.Core.Notification.Mail.Conf",version:1,method:"get",scope:this,callback:function(e,t){this.owner.clearStatusBusy();var i=SYNO.API.Util.GetValByAPI(t,"SYNO.Core.Notification.Mail.Conf","get","enable_mail");new SYNO.SDS.ADServer.MemberImport({owner:this.owner,mail_enabled:i,member_store:this.gridPanel.store,callbacks:{scope:this,reload:function(){this.gridPanel.store.reload()}}}).open()}})}}),Ext.define("SYNO.SDS.ADServer.MemberTreePanel",{extend:"SYNO.ux.TreePanel",cls:"syno-ads-member",constructor:function(e){this.fqdn=e.fqdn,this.owner=e.owner,this.baseDn=e.baseDn||"";var t=this.owner;this.store=e.store,this.treeCache=new SYNO.SDS.ADServer.Utils.OuTreeCache({appWin:this.owner.appWin});var i={width:200,rootVisible:!1,animate:!1,enableDD:!0,containerScroll:!0,root:new Ext.tree.TreeNode({text:"Root",draggable:!1,id:"source"}),dropConfig:{appendOnly:!0,ddGroup:"treeGridGroup"},baseAttrs:{allowChildren:!0,leaf:!1},bodyStyle:"padding: 6px;"};Ext.apply(i,e),this.callParent([i]);var n=new SYNO.SDS.ADServer.MemberTreeNode({text:this.fqdn,id:"organization_root",dn:this.baseDn,panel:t.gridPanel,searchField:t.searchField,cnNodes:[{text:"Users",id:"default_user_folder",dn:"CN=Users,"+this.baseDn,iconCls:"icon-ad-container",
panel:t.gridPanel,searchField:t.searchField},{text:"Computers",id:"default_machine_folder",iconCls:"icon-ad-container",dn:"CN=Computers,"+this.baseDn,panel:t.gridPanel,searchField:t.searchField}],listeners:{beforeload:{fn:function(e){return this.reloadOuNode(e,!0),!1},scope:this}}});this.getRootNode().appendChild([n])},initEvents:function(){this.dropZone=new SYNO.SDS.ADServer.MemberTreeDropZone(this,this.dropConfig),this.callParent(arguments)},addOuNode:function(e,t,i){return this.treeCache.addOu(i),e.appendChild(new SYNO.SDS.ADServer.MemberTreeNode({text:t,qtip:t,id:i,dn:i,draggable:!0,panel:this.owner.gridPanel,searchField:this.owner.searchField}))},removeOuNode:function(e){this.treeCache.removeOu(e.attributes.dn),e.removeAll(!0),e.remove(!0)},moveOuNode:function(e,t,i){this.removeOuNode(e);var n=this.addOuNode(t,e.attributes.text,i);this.reloadOuNode(n,!1),t.expand(!1)},renameOuNode:function(e,t,i){this.treeCache.removeOu(e.attributes.dn),this.treeCache.removeOu(t),e.rename({dn:t,name:i})},findOuNode:function(e){return this.getNodeById("organization_root").findChild("dn",e,-1)},reloadOuNode:function(e,t){e.removeAll(!0);var i=null,n=this,s=n.addOuNode.bind(n),r=function(e,t,i,n){var o=Object.keys(t);if(o.sort(),/^DC=/i.test(n)){var a="OU=Domain Controllers".indexOf();0<a&&(o[a]="",o.unshift("OU=Domain Controllers"))}o.each(function(o){if(Ext.isEmpty(o))return!0;var a=o+","+n,l=i.detect(function(e){return e.dn.toLowerCase()===a.toLowerCase()}),d=l?l.name:o.replace(/^OU=/,"").replace(/\\[^0-9]/g,function(e){return e[1]}),c=s(e,d,a);r(c,t[o],i,a)})},o=function(e){if(e.attributes.cnNodes)for(var t=0;t<e.attributes.cnNodes.length;t++)e.appendChild(new SYNO.SDS.ADServer.MemberTreeNode(e.attributes.cnNodes[t]))},a=function(t,s){if(o(e),n.owner.appWin.setStatusBusy({text:_T("common","loading")}),r(e,t,s,e.attributes.dn),e.loaded=!0,e.expand(!1),n.owner.appWin.clearStatusBusy(),e.attributes.cnNodes&&0<e.attributes.cnNodes.length){i=function(e,t){return"default_machine_folder"===t||"default_user_folder"===t?e.findChild("id",t,-1):e.findChild("dn",t,-1)}(e,n.owner.selectNodeId),i&&i.select()}};n.treeCache.reload(e.attributes.dn,a,n.reloadOuTree.bind(n),t)},reloadOuTree:function(){var e=this.getNodeById("organization_root");this.reloadOuNode(e,!0)}}),Ext.define("SYNO.SDS.ADServer.MemberTreeNode",{extend:"Ext.tree.TreeNode",constructor:function(e){var t=SYNO.SDS.ADServer.Utils.EscapeRegExp;this.callParent([Ext.apply({iconCls:"icon-ad-ou"},e)]),this.filterReg=new RegExp("^(CN|OU)=([^,]|\\\\,)+,"+t(e.dn)+"$","i"),this.rfilterReg=new RegExp("(CN|OU)=([^,]|\\\\,)+,"+t(e.dn)+"$","i")},rename:function(e){var t=SYNO.SDS.ADServer.Utils.EscapeRegExp;this.setText(e.name),this.setTooltip(e.name),this.setId(e.dn),this.filterReg=new RegExp("^(CN|OU)=([^,]|\\\\,)+,"+t(e.dn)+"$","i"),this.rfilterReg=new RegExp("(CN|OU)=([^,]|\\\\,)+,"+t(e.dn)+"$","i")},showPanel:function(){this.attributes.searchField.updateFilter(this),this.attributes.searchField.filter()}}),Ext.reg("syno_ad_treenode",SYNO.SDS.ADServer.MemberTreeNode),Ext.define("SYNO.SDS.ADServer.MemberGridPanel",{extend:"SYNO.ux.GridPanel",constructor:function(e){this.store=e.store;var t={autoFill:!0,selModel:new SYNO.SDS.ADServer.Utils.SelectAllRowSelectionModel,bbar:{xtype:"syno_paging",store:this.store,pageSize:-1,displayInfo:!0,showRefreshBtn:!0,listeners:{change:function(){this.setButtonsVisible(!1)},afterlayout:{scope:this,fn:function(e){e.getWidth()!==this.getWidth()&&e.setWidth(this.getWidth()),e.setButtonsVisible(!1)}}}},padding:"0 0 0 12"};Ext.apply(t,e),this.callParent([t])}}),Ext.define("SYNO.SDS.ADServer.MemberTreeDropZone",{extend:"Ext.tree.TreeDropZone",onContainerOver:function(e,t,i){return this.allowContainerDrop&&this.isValidDropPoint({ddel:this.tree.getRootNode().ui.elNode,node:this.tree.getRootNode()},"append",e,t,i)?this.dropAllowed:(this.onResetDragText(e,t,i),this.dropNotAllowed)},onNodeOut:function(e,t,i,n){this.onResetDragText(t,i,n),this.cancelExpand(),this.removeDropIndicators(e)},onResetDragText:function(e,t,i){var n=e.getProxy().getGhost();if(e.tree)n.update(""),i.node.ui.appendDDGhost(n.dom);else if(e.grid){var s=e.grid.getDragDropText();n.update(s)}else e.dataview&&n.update(e.dataview.getDragDropText())}}),Ext.define("SYNO.SDS.ADServer.Application",{extend:"SYNO.SDS.AppInstance",appWindowName:"SYNO.SDS.ADServer.MainWindow"}),Ext.define("SYNO.SDS.ADServer.MainWindow",{extend:"SYNO.SDS.PageListAppWindow",activePage:"SYNO.SDS.ADServer.SettingPanel",constructor:function(e){SYNO.SDS.ADServer.ADServerEnabled=!1,this.setupWizardFinish=!1,this.fqdn="resolving...",this.netbios="resolving...";var t=[{iconCls:"icon-ad-overview",text:SYNO.SDS.ADServer.Utils._S("common","status"),fn:"SYNO.SDS.ADServer.SettingPanel",help:"synologydirectoryserver_setting.html"},{iconCls:"icon-ad-group",text:SYNO.SDS.ADServer.Utils._S("common","member"),fn:"SYNO.SDS.ADServer.MemberPanel",help:"synologydirectoryserver_member.html"},{iconCls:"icon-ad-policy",text:SYNO.SDS.ADServer.Utils._S("common","domain_gpo"),fn:"SYNO.SDS.ADServer.GpoPanel",help:"synologydirectoryserver_domain_policy.html"}],i={width:990,height:560,minWidth:990,minHeight:560,cls:"syno-sds-adserver",listItems:t};Ext.apply(i,e),this.callParent([i])},onBeforeSelect:function(e,t,i){return("SYNO.SDS.ADServer.SettingPanel"===t.id||!0===SYNO.SDS.ADServer.ADServerEnabled)&&this.callParent(arguments)}}),Ext.define("SYNO.SDS.ADServer.OUGeneralTab",{extend:"SYNO.ux.FormPanel",constructor:function(e){this.owner=e.owner;var t=Ext.apply({title:"General",trackResetOnLoad:!0,items:this.createFormItems()},e);this.callParent([t])},createFormItems:function(){return[{xtype:"syno_displayfield",value:"OU1"},{xtype:"syno_textfield",fieldLabel:"Description"},{xtype:"syno_textfield",fieldLabel:"Street"},{xtype:"syno_textfield",fieldLabel:"City"},{xtype:"syno_textfield",fieldLabel:"Zip/Postal Code"},{xtype:"syno_combobox",fieldLabel:"Country/region",displayField:"display",valueField:"value",store:new Ext.data.ArrayStore({fields:["display","value"],idIndex:0,data:[["Taiwan","Taiwan"],["Japan","Japan"],["America","America"]]}),name:"country"}]}}),Ext.define("SYNO.SDS.ADServer.OUEditWindow",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner;var t=Ext.apply({width:820,height:450,minWidth:820,minHeight:450,title:"Edit OU",layout:"fit",items:[this.configMainPanel()],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","cancel"),scope:this,handler:this.close}]},e);this.callParent([t])},onApply:function(){this.close()},configMainPanel:function(){var e={owner:this};return{xtype:"syno_tabpanel",plain:!0,activeTab:0,itemId:"main",items:[function(t,i){return new SYNO.SDS.ADServer[t](Ext.apply({itemId:i},e))}("OUGeneralTab","general")]}}}),Ext.define("SYNO.SDS.ADServer.ObjectMultiGeneralTab",{extend:"SYNO.ux.FormPanel",constructor:function(e){this.owner=e.owner;var t=Ext.apply({title:"General",trackResetOnLoad:!0,fieldWidth:300,items:this.createFormItems()},e);this.callParent([t])},createFormItems:function(){return[{xtype:"displayfield",fieldLabel:"Name",value:"X users, Y groups, Z computers",readOnly:!0,cls:"selectabletext allowDefCtxMenu"},{xtype:"displayfield",fieldLabel:"Location",value:"Organization \\ OU1 \\ OU2",readOnly:!0,cls:"selectabletext allowDefCtxMenu"}]}}),Ext.define("SYNO.SDS.ADServer.ObjectMultiEditWindow",{extend:"SYNO.SDS.ModalWindow",constructor:function(e){this.owner=e.owner;var t=Ext.apply({width:650,height:300,minWidth:650,minHeight:300,title:"Edit Object",layout:"fit",items:[this.configMainPanel()],buttons:[{text:_T("common","apply"),btnStyle:"blue",scope:this,handler:this.onApply},{text:_T("common","close"),scope:this,handler:this.close}]},e);this.callParent([t])},onApply:function(){this.close()},configMainPanel:function(){var e={owner:this};return{xtype:"syno_tabpanel",plain:!0,activeTab:0,itemId:"main",items:[function(t,i){return new SYNO.SDS.ADServer[t](Ext.apply({itemId:i},e))}("ObjectMultiGeneralTab","general")]}}});
